Modal / Popup

Bootstrap Modal

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

A Modal is a dialog box/popup window that can be used for lightboxes, user notifications, UI enhancements, e-commerce components, and many other things.

It's easily customizable. You can manipulate its size, position, and content.

This documentation presents the basic options and examples of modals. If you need more advanced help, please have a look at these additional pages of documentation listed below:


Basic example

Below is a basic Modal example with a button triggering a Modal via a data attribute.

Click the button to trigger Modal.

        
            

        <!-- Button trigger modal -->
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#basicExampleModal">
          Launch demo modal
        </button>

        <!-- Modal -->
        <div class="modal fade" id="basicExampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
          aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                ...
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary">Save changes</button>
              </div>
            </div>
          </div>
        </div>

      
        
    

Position & Sizes

Click the buttons below to launch a modals demo

Frame Modal
MDB graphics
Position
Top
Bottom
Central Modal
MDB graphics
Size



Fluid Modal
MDB graphics
Position



Forms, styles & Predefined templates

Click the buttons below to see some live previews

Modal Forms

Live preview

Modal Styles

Live preview

Modal Templates / Examples

Live preview

Position and size

To change the position or size of a modal add one of the following classes to the .modal-dialog div.

Central modal

Note: Medium size is the default value, so there isn't a dedicated class for it.

.modal-sm Small Modal

.modal-lg Large Modal

.modal-fluid Full Width Modal

        
            

        <!-- Button trigger modal -->
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#centralModalSm">
          Launch demo modal
        </button>

        <!-- Central Modal Small -->
        <div class="modal fade" id="centralModalSm" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
          aria-hidden="true">

          <!-- Change class .modal-sm to change the size of the modal -->
          <div class="modal-dialog modal-sm" role="document">


            <div class="modal-content">
              <div class="modal-header">
                <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                ...
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary btn-sm" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary btn-sm">Save changes</button>
              </div>
            </div>
          </div>
        </div>
        <!-- Central Modal Small -->

      
        
    

Side modal

Note: To make it work properly, apart from adding a class for a position, you also need to add the special class .modal-side to the .modal-dialog div.

Note 2: If you want to change the direction of modal animation, add the class .top, .right, bottom or .left to the .modal div.

.modal-side + .modal-top-right Top Right

.modal-side + .modal-top-left Top Left

.modal-side + .modal-bottom-right Bottom Right

.modal-side + .modal-bottom-right Bottom Left

        
            

        <!-- Side Modal Top Right -->

        <!-- Button trigger modal -->
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#sideModalTR">
          Launch demo modal
        </button>

        <!-- To change the direction of the modal animation change .right class -->
        <div class="modal fade right" id="sideModalTR" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
          aria-hidden="true">

          <!-- Add class .modal-side and then add class .modal-top-right (or other classes from list above) to set a position to the modal -->
          <div class="modal-dialog modal-side modal-top-right" role="document">


            <div class="modal-content">
              <div class="modal-header">
                <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                ...
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary">Save changes</button>
              </div>
            </div>
          </div>
        </div>
        <!-- Side Modal Top Right -->

      
        
    

Fluid modal

Note: As in the previous example, to make it work properly, apart from adding a class for a position, you also need to add the special class .modal-full-height to the .modal-dialog div.

Note 2: If you want to change the direction of modal animation, add the class .top, .right, bottom or .left to the .modal div.

.modal-full-height + .modal-right Right

.modal-full-height + .modal-left Left

.modal-full-height + .modal-bottom Bottom

.modal-full-height + .modal-top Top

        
            

        <!-- Button trigger modal -->
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#fullHeightModalRight">
          Launch demo modal
        </button>

        <!-- Full Height Modal Right -->
        <div class="modal fade right" id="fullHeightModalRight" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
          aria-hidden="true">

          <!-- Add class .modal-full-height and then add class .modal-right (or other classes from list above) to set a position to the modal -->
          <div class="modal-dialog modal-full-height modal-right" role="document">


            <div class="modal-content">
              <div class="modal-header">
                <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                ...
              </div>
              <div class="modal-footer justify-content-center">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary">Save changes</button>
              </div>
            </div>
          </div>
        </div>
        <!-- Full Height Modal Right -->

      
        
    

Frame modal

Note: As in the previous examples, to make it works properly, apart from adding a class for a position, you also need to add the special class .modal-frame to the .modal-dialog div.

Note 2: If you want to change the direction of modal animation, add the class .top, .right, bottom or .left to the .modal div.

.modal-frame + .modal-bottom Bottom

.modal-frame + .modal-top Top

        
            

        <!-- Button trigger modal -->
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#frameModalBottom">
          Launch demo modal
        </button>

        <!-- Frame Modal Bottom -->
        <div class="modal fade bottom" id="frameModalBottom" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
          aria-hidden="true">

          <!-- Add class .modal-frame and then add class .modal-bottom (or other classes from list above) to set a position to the modal -->
          <div class="modal-dialog modal-frame modal-bottom" role="document">


            <div class="modal-content">
              <div class="modal-body">
                <div class="row d-flex justify-content-center align-items-center">

                  <p class="pt-3 pr-2">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Impedit nisi quo
                    provident fugiat reprehenderit nostrum
                    quos..
                  </p>

                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                  <button type="button" class="btn btn-primary">Save changes</button>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- Frame Modal Bottom -->

      
        
    

Scrolling long content

When a modal becomes too long for the user’s viewport or device, it scrolls independently of the page itself. Try the demo below.

You can also create a scrollable modal that allows scroll the modal body by adding .modal-dialog-scrollable to .modal-dialog.


Vertically centered

Add the class .modal-dialog-centered to .modal-dialog to vertically center the modal.

        
            

          <!-- Button trigger modal -->
          <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModalCenter">
            Launch demo modal
          </button>

          <!-- Modal -->
          <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
            aria-hidden="true">

            <!-- Add .modal-dialog-centered to .modal-dialog to vertically center the modal -->
            <div class="modal-dialog modal-dialog-centered" role="document">


              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLongTitle">Modal title</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  ...
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                  <button type="button" class="btn btn-primary">Save changes</button>
                </div>
              </div>
            </div>
          </div>

        
        
    

Tooltips and popovers

Tooltips and popovers can be placed within modals as needed. When modals are closed, any tooltips and popovers within them are also automatically dismissed.

Note: Remember to initialize tooltips/popovers. You can find more information in the Tooltips and Popovers documentation.

        
            

          <!-- Button trigger modal -->
          <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModalPopovers">
            Launch demo modal
          </button>

          <div id="exampleModalPopovers" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="exampleModalPopoversLabel">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalPopoversLabel">Modal title</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                  </button>
                </div>
                <div class="modal-body">
                  <h5>Popover in a modal</h5>
                  <p>This
                    <a role="button" class="btn btn-secondary popover-test" title="" data-content="Popover body content is set in this attribute."
                      data-original-title="Popover title" data-toggle="popover">button</a> triggers a popover on click.</p>
                  <hr>
                  <h5>Tooltips in a modal</h5>
                  <p>
                    <a class="tooltip-test" title="" data-original-title="Tooltip" data-toggle="tooltip">This link</a>
                    and
                    <a class="tooltip-test" title="" data-original-title="Tooltip" data-toggle="tooltip">that link</a>
                    have tooltips on hover.</p>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                  <button type="button" class="btn btn-primary">Save changes</button>
                </div>
              </div>
            </div>
          </div>

        
        
    

Using the grid

Utilize the Bootstrap grid system within a modal by nesting .container-fluid within the .modal-body. Then, use the normal grid system classes as you would anywhere else.

        
            

          <!-- Button trigger modal -->
          <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#gridSystemModal">
            Launch demo modal
          </button>

          <div id="gridSystemModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="gridModalLabel">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h4 class="modal-title" id="gridModalLabel">Modal title</h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                  </button>
                </div>
                <div class="modal-body">
                  <div class="container-fluid">
                    <div class="row">
                      <div class="col-md-4 col-example">.col-md-4</div>
                      <div class="col-md-4 ml-auto col-example">.col-md-4 .ml-auto</div>
                    </div>
                    <br>
                    <div class="row">
                      <div class="col-md-3 ml-auto col-example">.col-md-3 .ml-auto</div>
                      <div class="col-md-2 ml-auto col-example">.col-md-2 .ml-auto</div>
                    </div>
                    <div class="row">
                      <div class="col-md-6 ml-5 col-example">.col-md-6 .ml-5</div>
                    </div>
                    <br>
                    <div class="row">
                      <div class="col-sm-9 col-example">
                        Level 1: .col-sm-9
                        <div class="row">
                          <div class="col-8 col-sm-6 col-example">
                            Level 2: .col-8 .col-sm-6
                          </div>
                          <div class="col-4 col-sm-6 col-example">
                            Level 2: .col-4 .col-sm-6
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-default waves-effect waves-light" data-dismiss="modal">Close</button>
                  <button type="button" class="btn btn-primary waves-effect waves-light">Save changes</button>
                </div>
              </div>
            </div>
          </div>

        
        
    

Varying modal content

Have a bunch of buttons that all trigger the same modal with slightly different contents? Use the event.relatedTarget and HTML data-* attributes (possibly via jQuery) to vary the contents of the modal depending on which button was clicked.

Below is a live demo followed by some example HTML and JavaScript. For more information, read the Modal Events docs for details on relatedTarget.

        
            

          <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal" data-whatever="@mdo">Open
            modal for @mdo</button>
          <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal" data-whatever="@fat">Open
            modal for @fat</button>
          <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal" data-whatever="@getbootstrap">Open
            modal for @getbootstrap</button>
          <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h4 class="modal-title" id="exampleModalLabel">New message</h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  <form>
                    <div class="md-form">
                      <input type="text" class="form-control" id="recipient-name">
                    </div>
                    <div class="md-form">
                      <textarea type="text" id="message-text" class="form-control md-textarea" rows="3"></textarea>
                    </div>
                  </form>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                  <button type="button" class="btn btn-primary">Send message</button>
                </div>
              </div>
            </div>
          </div>

        
        
    
        
            

            $('#exampleModal').on('show.bs.modal', function (event) {
                var button = $(event.relatedTarget) // Button that triggered the modal
                var recipient = button.data('whatever') // Extract info from data-* attributes
                // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
                // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
                var modal = $(this)
                modal.find('.modal-title').text('New message to ' + recipient)
                modal.find('.modal-body input').val(recipient)
              })

        
        
    

Remove an animation

For modals that simply appear rather than fade into view, remove the .fade class from your modal markup.

        
            

          <div class="modal" tabindex="-1" role="dialog" aria-labelledby="..." aria-hidden="true">
            ...
          </div>

        
        
    

Dynamic height

If the height of a modal changes while it is open, you should call $('#myModal').data('bs.modal').handleUpdate() to readjust the modal’s position in case a scrollbar appears.


Accessibility

Be sure to add role="dialog" and aria-labelledby="...", referencing the modal title, to .modal, and role="document" to the .modal-dialog itself. Additionally, you may give a description of your modal dialog with the aria-describedby attribute on .modal.


Embedding YouTube & Vimeo videos

Have a look at this examples to see how it works:


Optional sizes

Modals have three optional sizes, available via modifier classes to be placed on a .modal-dialog. These sizes kick in at certain breakpoints to avoid horizontal scrollbars on narrower viewports.

Size Class Modal max-width
Small .modal-sm 300px
Default None 500px
Large .modal-lg 800px
Extra large .modal-xl 1140px

Our default modal without modifier class constitutes the “medium” size modal.

        
            

          <!-- Extra large modal -->
          <button type="button" class="btn btn-primary" data-toggle="modal" data-target=".bd-example-modal-xl">Extra
            large modal</button>

          <div class="modal fade bd-example-modal-xl" tabindex="-1" role="dialog" aria-labelledby="myExtraLargeModalLabel"
            aria-hidden="true">
            <div class="modal-dialog modal-xl">
              <div class="modal-content">
                ...
              </div>
            </div>
          </div>

          <!-- Large modal -->
          <button type="button" class="btn btn-primary" data-toggle="modal" data-target=".bd-example-modal-lg">Large
            modal</button>

          <div class="modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel"
            aria-hidden="true">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                ...
              </div>
            </div>
          </div>

          <!-- Small modal -->
          <button type="button" class="btn btn-primary" data-toggle="modal" data-target=".bd-example-modal-sm">Small
            modal</button>

          <div class="modal fade bd-example-modal-sm" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel"
            aria-hidden="true">
            <div class="modal-dialog modal-sm">
              <div class="modal-content">
                ...
              </div>
            </div>
          </div>

        
        
    

Remove a backdrop

To remove a backdrop add the data-backdrop="false" attribute to the modal markup

        
            

          <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true" data-backdrop="false">
            ...
          </div>

        
        
    

Usage

The modal plugin toggles your hidden content on demand, via data attributes or JavaScript. It also adds .modal-open to the <body> to override default scrolling behavior and generates a .modal-backdrop to provide a click area for dismissing shown modals when clicking outside the modal.

Via data attributes

Activate a modal without writing JavaScript. Set data-toggle="modal" on a controller element, like a button, along with a data-target="#foo" or href="#foo" to target a specific modal to toggle.

        
            

          <button type="button" data-toggle="modal" data-target="#myModal">Launch modal</button>

        
        
    

Via JavaScript

Call a modal with id myModal with a single line of JavaScript:

        
            

          $('#myModal').modal(options)

        
        
    

Options

Options can be passed via data attributes or JavaScript. For data attributes, append the option name to data-, as in data-backdrop="".

Name Type Default Description
backdrop boolean or the string 'static' true Includes a modal-backdrop element. Alternatively, specify static for a backdrop which doesn't close the modal on clicking.
keyboard boolean true Closes the modal when the escape key is pressed
focus boolean true Puts the focus on the modal when initialized.
show boolean true Shows the modal when initialized.

Methods

Asynchronous methods and transitions

All API methods are asynchronous and start a transition. They return to the caller as soon as the transition is started but before it ends. In addition, a method call on a transitioning component will be ignored.

.modal(options)

Activates your content as a modal. Accepts an optional options object.

        
            

        $('#myModal').modal({
          keyboard: false
        })

      
        
    

.modal('toggle')

Manually toggles a modal. Returns to the caller before the modal has actually been shown or hidden (i.e. before the shown.bs.modal or hidden.bs.modal event occurs).

        
            

        $('#myModal').modal('toggle')

      
        
    

.modal('show')

Manually opens a modal. Returns to the caller before the modal has actually been shown (i.e. before the shown.bs.modal event occurs).

        
            

        $('#myModal').modal('show')

      
        
    

.modal('hide')

Manually hides a modal. Returns to the caller before the modal has actually been hidden (i.e. before the hidden.bs.modal event occurs).

        
            

        $('#myModal').modal('hide')

      
        
    

.modal('handleUpdate')

Manually readjusts the modal’s position if the height of a modal changes while it is open (i.e. in the case that a scrollbar appears).

        
            

        $('#myModal').modal('handleUpdate')

      
        
    

.modal('dispose')

Destroys an element’s modal.

Events

Bootstrap’s modal class exposes a few events for hooking into modal functionality. All modal events are fired at the modal itself (i.e. at the <div class="modal">).

To see more examples of modal events read the Modal Event documentation

Event Type Description
show.bs.modal This event fires immediately when the show instance method is called. If caused by a click, the clicked element is available as the relatedTarget property of the event.
shown.bs.modal This event is fired when the modal has been made visible to the user (it will wait for CSS transitions to complete). If caused by a click, the clicked element is available as the relatedTarget property of the event.
hide.bs.modal This event is fired immediately when the hide instance method has been called.
hidden.bs.modal This event is fired when the modal has finished being hidden from the user (it will wait for CSS transitions to complete).
        
            

        $('#myModal').on('hidden.bs.modal', function (e) {
          // do something...
        })

Vue Bootstrap Modal

Vue Modal - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap modal is a dialog box/popup window which can be used for lightboxes, user notifications, UI enhancements, e-commerce components and many other cases.

It's easily customized. You can manipulate size, position, and content.


Basic example

Below is the most basic Modal example with a button triggering Modal. Click the button to trigger Modal.

        
            
        <template>
          <div>
            <mdb-btn color="primary" @click.native="modal = true">Launch demo modal</mdb-btn>
            <mdb-modal :show="modal" @close="modal = false">
              <mdb-modal-header>
                <mdb-modal-title>Modal title</mdb-modal-title>
              </mdb-modal-header>
              <mdb-modal-body>...</mdb-modal-body>
              <mdb-modal-footer>
                <mdb-btn color="secondary" @click.native="modal = false">Close</mdb-btn>
                <mdb-btn color="primary">Save changes</mdb-btn>
              </mdb-modal-footer>
            </mdb-modal>
          </div>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbModal,
            mdbModalHeader,
            mdbModalTitle,
            mdbModalBody,
            mdbModalFooter,
            mdbBtn
          } from 'mdbvue';
          export default {
            components: {
              mdbModal,
              mdbModalHeader,
              mdbModalTitle,
              mdbModalBody,
              mdbModalFooter,
              mdbBtn
            },
            data() {
              return {
                modal: false
              };
            }
          };
        </script>
        
        
    

Position and size

To change the position or size of the modal add one of the following props to the modal component.

Central modal

Note: Medium size is a default value, so there isn't a dedicated prop for it.

size="sm" Small Modal

size="lg" Large Modal

size="fluid" Full Width Modal

Code example:

        
            
          <template>
            <div>
              <mdb-btn color="primary" @click.native="modal = true">Small modal</mdb-btn>
              <mdb-modal size="sm" :show="modal" @close="modal = false">
                <mdb-modal-header>
                  <mdb-modal-title>Modal title</mdb-modal-title>
                </mdb-modal-header>
                <mdb-modal-body>...</mdb-modal-body>
                <mdb-modal-footer>
                  <mdb-btn color="secondary" size="sm" @click.native="modal = false">Close</mdb-btn>
                  <mdb-btn color="primary" size="sm">Save changes</mdb-btn>
                </mdb-modal-footer>
              </mdb-modal>
            </div>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbModal,
              mdbModalHeader,
              mdbModalTitle,
              mdbModalBody,
              mdbModalFooter,
              mdbBtn
            } from 'mdbvue';
            export default {
              components: {
                mdbModal,
                mdbModalHeader,
                mdbModalTitle,
                mdbModalBody,
                mdbModalFooter,
                mdbBtn
              },
              data() {
                return {
                  modal: false
                };
              }
            };
          </script>
          
        
    

Side modal

Note: To make it works properly, apart from adding a prop for a position, you also need to add special side prop to the modal component.

side + position="top-right" Top Right

side + position="top-left" Top Left

side + position="bottom-right" Bottom Right

side + position="bottom-left" Bottom Left

Code example:

        
            
          <template>
            <div>
              <!-- Side Modal Top Right -->
              <mdb-btn color="primary" @click.native="modal = true">Top right</mdb-btn>
              <mdb-modal side position="top-right" direction="right" :show="modal" @close="modal = false">
                <mdb-modal-header>
                  <mdb-modal-title>Modal title</mdb-modal-title>
                </mdb-modal-header>
                <mdb-modal-body>...</mdb-modal-body>
                <mdb-modal-footer>
                  <mdb-btn color="secondary" @click.native="modal = false">Close</mdb-btn>
                  <mdb-btn color="primary">Save changes</mdb-btn>
                </mdb-modal-footer>
              </mdb-modal>
            </div>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbModal,
              mdbModalHeader,
              mdbModalTitle,
              mdbModalBody,
              mdbModalFooter,
              mdbBtn
            } from 'mdbvue';
            export default {
              components: {
                mdbModal,
                mdbModalHeader,
                mdbModalTitle,
                mdbModalBody,
                mdbModalFooter,
                mdbBtn
              },
              data() {
                return {
                  modal: false
                };
              }
            };
          </script>
          
        
    

Fluid modal

Note: As in the previous example - to make it works properly, apart from adding a prop for a position, you also need to add special prop fullHeight to modal component.

fullHeight + position="right" Right

fullHeight + position="left" Left

fullHeight + position="bottom" Bottom

fullHeight + position="top" Top

Code example:

        
            
          <template>
            <div>
              <!-- Side Modal Top Right -->
              <mdb-btn color="primary" @click.native="modal = true">Full height right</mdb-btn>
              <mdb-modal side position="right" fullHeight direction="right" :show="modal" @close="modal = false">
                <mdb-modal-header>
                  <mdb-modal-title>Modal title</mdb-modal-title>
                </mdb-modal-header>
                <mdb-modal-body>...</mdb-modal-body>
                <mdb-modal-footer>
                  <mdb-btn color="secondary" @click.native="modal = false">Close</mdb-btn>
                  <mdb-btn color="primary">Save changes</mdb-btn>
                </mdb-modal-footer>
              </mdb-modal>
            </div>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbModal,
              mdbModalHeader,
              mdbModalTitle,
              mdbModalBody,
              mdbModalFooter,
              mdbBtn
            } from 'mdbvue';
            export default {
              components: {
                mdbModal,
                mdbModalHeader,
                mdbModalTitle,
                mdbModalBody,
                mdbModalFooter,
                mdbBtn
              },
              data() {
                return {
                  modal: false
                };
              }
            };
          </script>
          
        
    

Frame modal

Note: As in the previous examples - to make it works properly, apart from adding a prop for a position, you also need to add special prop frame to modal component.

frame + position="bottom" Bottom

frame + position="top" Top

Code example:

        
            
          <template>
            <div>
              <!-- Frame Modal Bottom -->
              <mdb-btn color="primary" @click.native="modal = true">Bottom</mdb-btn>
              <mdb-modal frame position="bottom" direction="bottom" :show="modal" @close="modal = false">
                <mdb-modal-body class="text-center">
                  <span>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Impedit nisi quo provident fugiat reprehenderit nostrum quos...</span>
                  <mdb-btn color="secondary" @click.native="modal = false">Close</mdb-btn>
                  <mdb-btn color="primary">Save changes</mdb-btn>
                </mdb-modal-body>
              </mdb-modal>
            </div>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbModal,
              mdbModalBody,
              mdbBtn
            } from 'mdbvue';
            export default {
              components: {
                mdbModal,
                mdbModalBody,
                mdbBtn
              },
              data() {
                return {
                  modal: false
                };
              }
            };
          </script>
          
        
    

Remove backdrop

To remove backdrop add removeBackdrop prop to the modal component

        
            
        <template>
          <div>
            <mdb-btn color="primary" @click.native="modal = true">Launch modal</mdb-btn>
            <mdb-modal removeBackdrop side position="top-right" :show="modal" @close="modal = false">
              <mdb-modal-header>
                <mdb-modal-title>Modal title</mdb-modal-title>
              </mdb-modal-header>
              <mdb-modal-body>...</mdb-modal-body>
              <mdb-modal-footer>
                <mdb-btn color="secondary" @click.native="modal = false">Close</mdb-btn>
                <mdb-btn color="primary">Save changes</mdb-btn>
              </mdb-modal-footer>
            </mdb-modal>
          </div>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbModal,
            mdbModalHeader,
            mdbModalTitle,
            mdbModalBody,
            mdbModalFooter,
            mdbBtn
          } from 'mdbvue';
          export default {
            components: {
              mdbModal,
              mdbModalHeader,
              mdbModalTitle,
              mdbModalBody,
              mdbModalFooter,
              mdbBtn
            },
            data() {
              return {
                modal: false
              };
            }
          };
        </script>
        
        
    

Scrolling long content

When modal become too long for the user’s viewport or device, it scrolls independently of the page itself. Try the demo below.

You can also create a scrollable modal that allows scroll the modal body by adding scrollable property.

        
            
        <template>
          <mdb-container>
            <mdb-btn color="primary" @click.native="showModal = true">Launch modal</mdb-btn>
            <mdb-modal :show="showModal" @close="showModal = false" scrollable>
              <mdb-modal-header>
                <mdb-modal-title>Modal title</mdb-modal-title>
              </mdb-modal-header>
              <mdb-modal-body>
                <p>Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas
                  eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>
                <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue
                  laoreet rutrum faucibus dolor auctor.</p>
                <p>Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl
                  consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.</p>
                <p>Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas
                  eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>
                <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue
                  laoreet rutrum faucibus dolor auctor.</p>
                <p>Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl
                  consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.</p>
                <p>Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas
                  eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>
                <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue
                  laoreet rutrum faucibus dolor auctor.</p>
                <p>Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl
                  consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.</p>
                <p>Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas
                  eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>
                <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue
                  laoreet rutrum faucibus dolor auctor.</p>
                <p>Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl
                  consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.</p>
                <p>Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas
                  eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>
                <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue
                  laoreet rutrum faucibus dolor auctor.</p>
                <p>Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl
                  consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.</p>
              </mdb-modal-body>
              <mdb-modal-footer>
                <mdb-btn color="secondary" @click.native="showModal = false">Close</mdb-btn>
                <mdb-btn color="primary">Save changes</mdb-btn>
              </mdb-modal-footer>
            </mdb-modal>
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbBtn,
            mdbModal,
            mdbModalHeader,
            mdbModalTitle,
            mdbModalBody,
            mdbModalFooter,
            mdbContainer
          } from 'mdbvue';
          export default {
            name: 'ModalPage',
            data() {
              return {
                showModal: false,
              };
            },
            components: {
              mdbBtn,
              mdbModal,
              mdbModalHeader,
              mdbModalTitle,
              mdbModalBody,
              mdbModalFooter,
              mdbContainer
            }
          };
        </script>
        
        
    

Vertically centered

Add centered prop to modal to vertically center the modal.


Tooltips and popovers

Tooltips and popovers can be placed within modals as needed. When modals are closed, any tooltips and popovers within are also automatically dismissed.

Note: Remember to initialize tooltips/popovers. You can find more information in the Tooltips and popovers documentation.

        
            
          <template>
            <mdb-container class="mt-5">
              <mdb-btn color="primary" @click.native="modal = true">Launch modal</mdb-btn>
              <mdb-modal :show="modal" @close="modal = false">
                <mdb-modal-header>
                  <mdb-modal-title>Modal title</mdb-modal-title>
                </mdb-modal-header>
                <mdb-modal-body>
                  <mdb-modal-title>Popover in modal</mdb-modal-title>
                  <div>This
                    <mdb-popover trigger="click" :options="{placement: 'right'}">
                      <div class="popover">
                        <div class="popover-header">
                          Popover title
                        </div>
                        <div class="popover-body">
                          Popover body content is set in this attribute.
                        </div>
                      </div>
                      <mdb-btn slot="reference" color="default">
                        Button
                      </mdb-btn>
                    </mdb-popover>
                    triggers a popover on click.
                  </div>
                  <hr />
                  <mdb-modal-title>Tooltips in a modal</mdb-modal-title>
                  <mdb-tooltip trigger="hover" :options="{placement: 'top'}">
                    <div class="tooltip">
                      Tooltip
                    </div>
                    <a slot="reference">
                        This link
                    </a>
                  </mdb-tooltip>
                  and
                  <mdb-tooltip trigger="hover" :options="{placement: 'top'}">
                    <div class="tooltip">
                      Tooltip
                    </div>
                    <a slot="reference">
                        that link
                    </a>
                  </mdb-tooltip>
                  have tooltips on hover.
                </mdb-modal-body>
                <mdb-modal-footer>
                  <mdb-btn color="secondary" @click.native="modal = false">Close</mdb-btn>
                  <mdb-btn color="primary">Save changes</mdb-btn>
                </mdb-modal-footer>
              </mdb-modal>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbBtn,
              mdbModal,
              mdbModalHeader,
              mdbModalTitle,
              mdbModalBody,
              mdbModalFooter,
              mdbTooltip,
              mdbPopover,
              mdbInput,
              mdbTextarea,
              mdbContainer,
              mdbRow,
              mdbCol
            } from 'mdbvue';
            export default {
              name: 'ModalPage',
              data() {
                return {
                  modal: false
                };
              },
              components: {
                mdbBtn,
                mdbModal,
                mdbModalHeader,
                mdbModalTitle,
                mdbModalBody,
                mdbModalFooter,
                mdbTooltip,
                mdbPopover,
                mdbInput,
                mdbTextarea,
                mdbContainer,
                mdbRow,
                mdbCol
              }
            };
          </script>
          
        
    

Using the grid

Utilize the Bootstrap grid system within a modal by nesting container fluid within the modal-body. Then, use the normal grid system classes as you would anywhere else.

        
            
          <template>
            <mdb-container class="mt-5">
              <mdb-btn color="primary" @click.native="modal = true">Launch modal</mdb-btn>
              <mdb-modal :show="modal" @close="modal = false">
                <mdb-modal-header>
                  <mdb-modal-title>Modal title</mdb-modal-title>
                </mdb-modal-header>
                <mdb-modal-body>
                  <mdb-container fluid class="text-white">
                    <mdb-row>
                      <mdb-col md="4" class="bg-info">.col-md-4</mdb-col>
                      <mdb-col md="4" class="ml-auto bg-info">.col-md-4 .ml-auto</mdb-col>
                    </mdb-row>
                    <br />
                    <mdb-row>
                      <mdb-col md="3" class="ml-auto bg-info">.col-md-3 .ml-auto</mdb-col>
                      <mdb-col md="2" class="ml-auto bg-info">.col-md-2 .ml-auto</mdb-col>
                    </mdb-row>
                    <mdb-row>
                      <mdb-col md="6" class="ml-5 bg-info">.col-md-6 .ml-5</mdb-col>
                    </mdb-row>
                    <br />
                    <mdb-row>
                      <mdb-col sm="9" class="bg-info">
                        Level 1: .col-sm-9
                        <mdb-row>
                          <mdb-col sm="6" class="bg-info">
                            Level 2: .col-8 .col-sm-6
                          </mdb-col>
                          <mdb-col sm="6" class="bg-info">
                            Level 2: .col-4 .col-sm-6
                          </mdb-col>
                        </mdb-row>
                      </mdb-col>
                    </mdb-row>
                  </mdb-container>
                </mdb-modal-body>
                <mdb-modal-footer>
                  <mdb-btn color="secondary" @click.native="modal = false">Close</mdb-btn>
                  <mdb-btn color="primary">Save changes</mdb-btn>
                </mdb-modal-footer>
              </mdb-modal>
            </mdb-container>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbBtn,
              mdbModal,
              mdbModalHeader,
              mdbModalTitle,
              mdbModalBody,
              mdbModalFooter,
              mdbTooltip,
              mdbPopover,
              mdbInput,
              mdbTextarea,
              mdbContainer,
              mdbRow,
              mdbCol
            } from 'mdbvue';
            export default {
              name: 'ModalPage',
              data() {
                return {
                  modal: false
                };
              },
              components: {
                mdbBtn,
                mdbModal,
                mdbModalHeader,
                mdbModalTitle,
                mdbModalBody,
                mdbModalFooter,
                mdbTooltip,
                mdbPopover,
                mdbInput,
                mdbTextarea,
                mdbContainer,
                mdbRow,
                mdbCol
              }
            };
          </script>
          
        
    

Varying modal content

        
            
        <template>
          <mdb-container class="mt-5">
            <mdb-btn color="primary" @click.native="modal = true">Open modal for {{mailAddress}}</mdb-btn>
            <mdb-modal :show="modal" @close="modal = false">
              <mdb-modal-header>
                <mdb-modal-title>New message to {{mailAddress}}</mdb-modal-title>
              </mdb-modal-header>
              <mdb-modal-body>
                <mdb-input type="text" :label="mailAddress" />
                <mdb-textarea label="Message" />
              </mdb-modal-body>
              <mdb-modal-footer>
                <mdb-btn color="secondary" @click.native="modal = false">Close</mdb-btn>
                <mdb-btn color="primary">Send message</mdb-btn>
              </mdb-modal-footer>
            </mdb-modal>
          </mdb-container>
        </template>
        
        
    
        
            
        <script>
          import {
            mdbBtn,
            mdbModal,
            mdbModalHeader,
            mdbModalTitle,
            mdbModalBody,
            mdbModalFooter,
            mdbTooltip,
            mdbPopover,
            mdbInput,
            mdbTextarea,
            mdbContainer,
            mdbRow,
            mdbCol
          } from 'mdbvue';
          export default {
            name: 'ModalPage',
            data() {
              return {
                modal: false,
                mailAddress: '@mdo'
              };
            },
            components: {
              mdbBtn,
              mdbModal,
              mdbModalHeader,
              mdbModalTitle,
              mdbModalBody,
              mdbModalFooter,
              mdbTooltip,
              mdbPopover,
              mdbInput,
              mdbTextarea,
              mdbContainer,
              mdbRow,
              mdbCol
            }
          };
        </script>
        
        
    

Vue Modal - API

In this section you will find advanced information about the Modal component. Which modules are required? What are the customization possibilities of modals? Finally - what events and methods can be used within?


Modal components import statement

In order to use the component make sure you have imported it properly.

        
            
      <script>
        import {
          Modal,
          ModalBody,
          ModalHeader,
          ModalFooter
        } from 'mdbvue';
      </script>
      
        
    

Modal

The table below shows the configuration option props of the Modal component.

Name Type Default Description
tag String div Allows to substitute native element's tag
show Boolean true Makes modal visible
side Boolean false Makes modal a side-positioned one
position String -- Determinates modal's position relative to the browser window
centered Boolean -- Center modal vertically and horizonally
fullHeight Boolean false Makes the modal take full height from a specified side
frame Boolean false Turns modal into a frame-type one
removeBackdrop Boolean false Removes the dark overlay from the background, along its functionality
cascade Boolean false Allows for a cascading nature of a modal
avatar Boolean false Gives modal styling fitting perfectly with avatar-based heading
tabs Boolean false Provides styles necessary for having a tab navigation in modal's header
success Boolean false Styles modal in a success-notification fashion
info Boolean false Styles modal in a info-notification fashion
warning Boolean false Styles modal in a warning-notification fashion
warning Boolean false Styles modal in a warning-notification fashion
elegant Boolean false It helps to style modal so it is slick and elegant
dark Boolean false Determines whether style of a modal should not have a dark nature
bgSrc String null Dark style necessitate having a picture background, but the feature is for all the modals, really
scrollable Boolean false Allows to scroll through long contents with a scrollbar
direction String "top" Allows to change a transition's direction.

ModalHeader

Name Type Default Description
tag String div Allows to substitute native element's tag
close Boolean true Turning it to false gets rid of the close "x" icon in the right top conrner
color String -- Determines color of the header
textColor String -- Helps to set font color

ModalBody

Name Type Default
tag String div Allows to substitute native element's tag
Name Type Default Description
tag String div Allows to substitute native element's tag
start Boolean false Makes the ModalHeader contents align to the left
end Boolean false Makes the ModalHeader contents align to the right
closeAriaLabel Boolean false Makes the ModalHeader contents align with space between them
titleClasses Boolean false Makes the ModalHeader contents align with space around them

React Bootstrap Modal / Popup
React Modal - Bootstrap 4 & Material Design
Note: This documentation is for an older version of Bootstrap (v.4). A
newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for
Bootstrap 5.
Go to docs v.5
The Modal is a dialog box/popup window which can be used for lightboxes, user notifications, UI enhancements, e-commerce components and many other cases.
It's easily customized. You can manipulate size, position, and content.
This documentation presents the basic options and examples of modals. If you need more advanced help have a look at additional pages of the documentation listed below:
Basic example
Below is a most basic Modal example with a button triggering Modal. Click the button to trigger Modal.
import React, { Component } from 'react';
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBModalFooter
} from 'mdbreact';
class ModalPage extends Component {
state = {
modal: false
}
toggle = () => {
this.setState({
modal: !this.state.modal
});
}
render() {
return (
<MDBContainer>
<MDBBtn onClick={this.toggle}>Modal</MDBBtn>
<MDBModal isOpen={this.state.modal} toggle={this.toggle}>
<MDBModalHeader toggle={this.toggle}>MDBModal title</MDBModalHeader>
<MDBModalBody>
(...)
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" onClick={this.toggle}>Close</MDBBtn>
<MDBBtn color="primary">Save changes</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Position and size
To change the position or size of the modal add one of the following props to the
modal
component.
Central modal
Note: Medium size is a default value, so there isn't a dedicated prop for it.
size="sm"
Small Modal
size="lg"
Large Modal
size="fluid"
Full Width Modal
import React, { Component } from 'react';
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBModalFooter
} from 'mdbreact';
class ModalPage extends Component {
state={
modal2: false,
modal3: false,
modal4: false,
modal5: false
}
toggle = nr => () => {
let modalNumber = 'modal' + nr
this.setState({
[modalNumber]: !this.state[modalNumber]
});
}
render() {
return (
<MDBContainer>
<MDBBtn color="primary" onClick={this.toggle(2)}>Medium modal</MDBBtn>
<MDBModal isOpen={this.state.modal2} toggle={this.toggle(2)}>
<MDBModalHeader toggle={this.toggle(2)}>MDBModal title</MDBModalHeader>
<MDBModalBody>
Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore
magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat.
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" onClick={this.toggle(2)}>Close</MDBBtn>
<MDBBtn color="primary">Save changes</MDBBtn>
</MDBModalFooter>
</MDBModal>
<MDBBtn color="primary" onClick={this.toggle(3)}>Small modal</MDBBtn>
<MDBModal isOpen={this.state.modal3} toggle={this.toggle(3)} size="sm">
<MDBModalHeader toggle={this.toggle(3)}>MDBModal title</MDBModalHeader>
<MDBModalBody>
Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore
magna aliqua.
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" size="sm" onClick={this.toggle(3)}>Close</MDBBtn>
<MDBBtn color="primary" size="sm">Save changes</MDBBtn>
</MDBModalFooter>
</MDBModal>
<MDBBtn color="primary" onClick={this.toggle(4)}>Large modal</MDBBtn>
<MDBModal isOpen={this.state.modal4} toggle={this.toggle(4)} size="lg">
<MDBModalHeader toggle={this.toggle(4)}>MDBModal title</MDBModalHeader>
<MDBModalBody>
Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore
magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat.
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" onClick={this.toggle(4)}>Close</MDBBtn>
<MDBBtn color="primary">Save changes</MDBBtn>
</MDBModalFooter>
</MDBModal>
<MDBBtn color="primary" onClick={this.toggle(5)}>Fluid modal</MDBBtn>
<MDBModal isOpen={this.state.modal5} toggle={this.toggle(5)} size="fluid">
<MDBModalHeader toggle={this.toggle(5)}>MDBModal title</MDBModalHeader>
<MDBModalBody>
Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore
magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat.
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" onClick={this.toggle(5)}>Close</MDBBtn>
<MDBBtn color="primary">Save changes</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Side modal
Note 1: To make it works properly, apart from adding a prop for a position, you also need to
add special prop
side
to
modal
component.
Note 2: If you want to change modal position, add prop position
equal
top
,
right
,
bottom
or
left
to the
modal
component.
side
+
position="top-right"
Top Right
side
+
position="top-left"
Top Left
side
+
position="bottom-right"
Bottom Right
side
+
position="bottom-left"
Bottom Left
import React, { Component } from 'react';
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBModalFooter
} from 'mdbreact';
class ModalPage extends Component {
state={
modal6: false,
modal7: false
}
toggle = nr => () => {
let modalNumber = 'modal' + nr
this.setState({
[modalNumber]: !this.state[modalNumber]
});
}
render() {
return (
<MDBContainer>
<MDBBtn color="secondary" onClick={this.toggle(6)}>Top right</MDBBtn>
<MDBModal isOpen={this.state.modal6} toggle={this.toggle(6)} side position="top-right">
<MDBModalHeader toggle={this.toggle(6)}>MDBModal title</MDBModalHeader>
<MDBModalBody>
Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore
magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat.
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" onClick={this.toggle(6)}>Close</MDBBtn>
<MDBBtn color="primary">Save changes</MDBBtn>
</MDBModalFooter>
</MDBModal>
<MDBBtn color="secondary" onClick={this.toggle(7)}>Bottom left</MDBBtn>
<MDBModal isOpen={this.state.modal7} toggle={this.toggle(7)} side position="bottom-left">
<MDBModalHeader toggle={this.toggle(7)}>MDBModal title</MDBModalHeader>
<MDBModalBody>
Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore
magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat.
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" onClick={this.toggle(7)}>Close</MDBBtn>
<MDBBtn color="primary">Save changes</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Fluid modal
Note: As in the previous example - to make it works properly, apart from adding a prop for a
position,
you also need to add special prop
fullHeight
to
modal
component.
Note 2: If you want to change modal position, add prop position
equal
top
,
right
,
bottom
or
left
to the
modal
component.
fullHeight
+
position="right"
Right
fullHeight
+
position="left"
Left
fullHeight
+
position="bottom"
Bottom
fullHeight
+
position="top"
Top
import React, { Component } from 'react';
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBModalFooter
} from 'mdbreact';
class ModalPage extends Component {
state = {
modal8: false,
modal9: false
}
toggle = nr => () => {
let modalNumber = 'modal' + nr
this.setState({
[modalNumber]: !this.state[modalNumber]
});
}
render() {
return (
<MDBContainer>
<MDBBtn color="info" onClick={this.toggle(8)}>Right</MDBBtn>
<MDBModal isOpen={this.state.modal8} toggle={this.toggle(8)} fullHeight position="right">
<MDBModalHeader toggle={this.toggle(8)}>MDBModal title</MDBModalHeader>
<MDBModalBody>
Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore
magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat.
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" onClick={this.toggle(8)}>Close</MDBBtn>
<MDBBtn color="primary">Save changes</MDBBtn>
</MDBModalFooter>
</MDBModal>
<MDBBtn color="info" onClick={this.toggle(9)}>Bottom</MDBBtn>
<MDBModal isOpen={this.state.modal9} toggle={this.toggle(9)} fullHeight position="bottom">
<MDBModalHeader toggle={this.toggle(9)}>MDBModal title</MDBModalHeader>
<MDBModalBody>
Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore
magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat.
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" onClick={this.toggle(9)}>Close</MDBBtn>
<MDBBtn color="primary">Save changes</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Frame modal
Note: As in the previous examples - to make it works properly, apart from adding a prop for a
position,
you also need to add special prop
frame
to
modal
component.
Note 2: If you want to change modal position, add prop position
equal
top
,
right
,
bottom
or
left
to the
modal
component.
frame
+
position="bottom"
Bottom
frame
+
position="top"
Top
import React, { Component } from 'react';
import { MDBContainer, MDBBtn, MDBModal, MDBModalBody } from 'mdbreact';
class ModalPage extends React.Component {
state = {
modal10: false,
modal11: false
}
toggle = nr => () => {
let modalNumber = 'modal' + nr
this.setState({
[modalNumber]: !this.state[modalNumber]
});
}
render() {
return (
<MDBContainer>
<MDBBtn color="warning" onClick={this.toggle(10)}>Bottom</MDBBtn>
<MDBModal isOpen={this.state.modal10} toggle={this.toggle(10)} frame position="bottom">
<MDBModalBody className="text-center">
Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore
magna aliqua.
<MDBBtn color="secondary" onClick={this.toggle(10)}>Close</MDBBtn>
<MDBBtn color="primary">Save changes</MDBBtn>
</MDBModalBody>
</MDBModal>
<MDBBtn color="warning" onClick={this.toggle(11)}>Top</MDBBtn>
<MDBModal isOpen={this.state.modal11} toggle={this.toggle(11)} frame position="top">
<MDBModalBody className="text-center">
Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore
magna aliqua.
<MDBBtn color="secondary" onClick={this.toggle(11)}>Close</MDBBtn>
<MDBBtn color="primary">Save changes</MDBBtn>
</MDBModalBody>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Remove backdrop
To remove backdrop add backdrop={false}
prop to the modal markup
import React, { Component } from 'react';
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBModalFooter
} from 'mdbreact';
class ModalPage extends Component {
state = {
modal12: false
}
toggle = nr => () => {
let modalNumber = 'modal' + nr
this.setState({
[modalNumber]: !this.state[modalNumber]
});
}
render() {
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(12)}>MDBModal</MDBBtn>
<MDBModal isOpen={this.state.modal12} toggle={this.toggle(12)} backdrop={false}>
<MDBModalHeader toggle={this.toggle(12)}>MDBModal title</MDBModalHeader>
<MDBModalBody>
Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore
magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat.
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" onClick={this.toggle(12)}>Close</MDBBtn>
<MDBBtn color="primary">Save changes</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Scrolling long content
When modal become too long for the user’s viewport or device, it scrolls independently of the page itself. Try the demo below.
import React, { Component } from 'react';
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBModalFooter
} from 'mdbreact';
class ModalPage extends Component {
state = {
modal13: false
}
toggle = nr => () => {
let modalNumber = 'modal' + nr
this.setState({
[modalNumber]: !this.state[modalNumber]
});
}
render() {
return (
<MDBContainer>
<MDBBtn color="primary" onClick={this.toggle(13)}>
Modal
</MDBBtn>
<MDBModal isOpen={this.state.modal13} toggle={this.toggle(13)}>
<MDBModalHeader toggle={this.toggle(13)}>
Modal title
</MDBModalHeader>
<MDBModalBody>
Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
enim ad minim veniam, quis nostrud exercitation ullamco laboris
nisi ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit
amet, consectetur adipisicing elit, sed do eiusmod tempor
incididunt ut labore et dolore magna aliqua. Ut enim ad minim
veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur
adipisicing elit, sed do eiusmod tempor incididunt ut labore et
dolore magna aliqua. Ut enim ad minim veniam, quis nostrud
exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat. Lorem ipsum dolor sit amet, consectetur adipisicing
elit, sed do eiusmod tempor incididunt ut labore et dolore magna
aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco
laboris nisi ut aliquip ex ea commodo consequat. Lorem ipsum dolor
sit amet, consectetur adipisicing elit, sed do eiusmod tempor
incididunt ut labore et dolore magna aliqua. Ut enim ad minim
veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur
adipisicing elit, sed do eiusmod tempor incididunt ut labore et
dolore magna aliqua. Ut enim ad minim veniam, quis nostrud
exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat. Lorem ipsum dolor sit amet, consectetur adipisicing
elit, sed do eiusmod tempor incididunt ut labore et dolore magna
aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco
laboris nisi ut aliquip ex ea commodo consequat. Lorem ipsum dolor
sit amet, consectetur adipisicing elit, sed do eiusmod tempor
incididunt ut labore et dolore magna aliqua. Ut enim ad minim
veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur
adipisicing elit, sed do eiusmod tempor incididunt ut labore et
dolore magna aliqua. Ut enim ad minim veniam, quis nostrud
exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat. Lorem ipsum dolor sit amet, consectetur adipisicing
elit, sed do eiusmod tempor incididunt ut labore et dolore magna
aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco
laboris nisi ut aliquip ex ea commodo consequat. Lorem ipsum dolor
sit amet, consectetur adipisicing elit, sed do eiusmod tempor
incididunt ut labore et dolore magna aliqua. Ut enim ad minim
veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur
adipisicing elit, sed do eiusmod tempor incididunt ut labore et
dolore magna aliqua. Ut enim ad minim veniam, quis nostrud
exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat.
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" onClick={this.toggle(13)}>
Close
</MDBBtn>
<MDBBtn color="primary">Save changes</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Vertically centered
Add
centered
prop to
modal
to vertically center the modal.
import React, { Component } from 'react';
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBModalFooter
} from 'mdbreact';
class ModalPage extends Component {
state = {
modal14: false
}
toggle = nr => () => {
let modalNumber = 'modal' + nr
this.setState({
[modalNumber]: !this.state[modalNumber]
});
}
render() {
return (
<MDBContainer>
<MDBBtn color="primary" onClick={this.toggle(14)}>MDBModal</MDBBtn>
<MDBModal isOpen={this.state.modal14} toggle={this.toggle(14)} centered>
<MDBModalHeader toggle={this.toggle(14)}>MDBModal title</MDBModalHeader>
<MDBModalBody>
Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore
magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
consequat.
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" onClick={this.toggle(14)}>Close</MDBBtn>
<MDBBtn color="primary">Save changes</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Tooltips and popovers
Tooltips and popovers can be placed within modals as needed. When modals are closed, any tooltips and popovers within are also automatically dismissed.
import React, { Component } from 'react';
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBModalFooter,
MDBPopover,
MDBPopoverBody,
MDBPopoverHeader,
MDBTooltip
} from 'mdbreact';
class ModalPage extends Component {
state = {
modal15: false
}
toggle = nr => () => {
let modalNumber = 'modal' + nr
this.setState({
[modalNumber]: !this.state[modalNumber]
});
}
render() {
return (
<MDBContainer>
<MDBBtn color="primary" onClick={this.toggle(15)}>MDBModal</MDBBtn>
<MDBModal isOpen={this.state.modal15} toggle={this.toggle(15)}>
<MDBModalHeader toggle={this.toggle(15)}>MDBModal title</MDBModalHeader>
<MDBModalBody>
This
<MDBPopover component="button" placement="right" popoverBody="button" tag="span" className="btn btn-secondary">
<MDBPopoverHeader>MDBPopover title</MDBPopoverHeader>
<MDBPopoverBody>MDBPopover body content is set in this attribute.</MDBPopoverBody>
</MDBPopover>
triggers a popover on click.
<hr />
<MDBTooltip placement="top" tag="a" component="span" tooltipContent="MDBTooltip">
This link
</MDBTooltip>
and
<MDBTooltip placement="top" tag="a" component="span" tooltipContent="MDBTooltip">
that link
</MDBTooltip>
have tooltips on hover.
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" onClick={this.toggle(15)}>Close</MDBBtn>
<MDBBtn color="primary">Save changes</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Using the grid
Utilize the Bootstrap grid system within a modal by nesting
Container fluid
within the
ModalBody
. Then, use the normal grid system classes as you would anywhere else.
import React, { Component } from 'react';
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBModalFooter,
MDBCol,
MDBRow
} from 'mdbreact';
class ModalPage extends Component {
state = {
modal16: false
}
toggle = nr => () => {
let modalNumber = 'modal' + nr
this.setState({
[modalNumber]: !this.state[modalNumber]
});
}
render() {
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(16)}>MDBModal</MDBBtn>
<MDBModal isOpen={this.state.modal16} toggle={this.toggle(16)}>
<MDBModalHeader toggle={this.toggle(16)}>MDBModal title</MDBModalHeader>
<MDBModalBody>
<MDBContainer fluid className="text-white">
<MDBRow>
<MDBCol md="4" className="bg-info">.col-md-4</MDBCol>
<MDBCol md="4" className="ml-auto bg-info">.col-md-4 .ml-auto</MDBCol>
</MDBRow>
<br />
<MDBRow>
<MDBCol md="3" className="ml-auto bg-info">.col-md-3 .ml-auto</MDBCol>
<MDBCol md="2" className="ml-auto bg-info">.col-md-2 .ml-auto</MDBCol>
</MDBRow>
<MDBRow>
<MDBCol md="6" className="ml-5 bg-info">.col-md-6 .ml-5</MDBCol>
</MDBRow>
<br />
<MDBRow>
<MDBCol sm="9" className="bg-info">
Level 1: .col-sm-9
<MDBRow>
<MDBCol sm="6" className="bg-info">
Level 2: .col-8 .col-sm-6
</MDBCol>
<MDBCol sm="6" className="bg-info">
Level 2: .col-4 .col-sm-6
</MDBCol>
</MDBRow>
</MDBCol>
</MDBRow>
</MDBContainer>
</MDBModalBody>
<MDBModalFooter>
<MDBBtn color="secondary" onClick={this.toggle(16)}>Close</MDBBtn>
<MDBBtn color="primary">Save changes</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
React Modal - API
In this section you will find advanced information about the Modal component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use in working with it.
Checkbox import statement
In order to use Checkbox component make sure you have imported proper module first.
import { Modal, ModalBody, ModalHeader, ModalFooter } from 'mdbreact';
Modal PropTypes
The table below shows the configuration options of the Modal component.
Name | Type | Default | Description | Example |
---|---|---|---|---|
animation |
string |
|
Changes direction of animation. Choose from top / bottom / right / left. | <Modal animation="left" ... /> |
autoFocus |
boolean | true |
Defines if modal should receive focus | <Modal autoFocus={false} ... /> |
backdrop |
boolean | true |
If false, the backdrop is not rendered. | <Modal backdrop={false} ... /> |
backdropClassName |
string |
|
Adds custom class to modal-backdrop element | <Modal backdropClassName="myClass" ... /> |
backdropTransitionTimeout |
Allows to define a transition time for the backdrop | number |
Adds custom class to modal-backdrop element | <Modal backdropTransitionTimeout={5000} ... /> |
cascading |
boolean | false |
Adds cascading-class to modal-dialog element | <Modal cascading ... /> |
centered |
boolean |
|
Add custom class to modal-dialog element | <Modal centered ... /> |
className |
string |
|
Adds custom class to modal-content element | <Modal className="myClass" ... /> |
contentClassName |
string |
|
Adds custom class to modal-content element | <Modal contentClassName="myClass" ... /> |
disableFocusTrap |
boolean | true |
If true, removes focus trap effect. | <Modal disableFocusTrap ... /> |
fade |
boolean | true |
Removes transition | <Modal fade={false} ... /> |
frame |
boolean |
|
Changes the position of the modal. It has to be used along with position prop equal to bottom / top | <Modal frame position="bottom" ... /> |
fullHeight |
boolean |
|
Changes the position of the modal. It has to be used along with position prop equal to right / bottom / left /top | <Modal fullHeight position="left" ... /> |
inline |
boolean | false |
Enables inline mode of the modal | <Modal isOpen={this.state.modal} ... /> |
isOpen |
boolean | false |
If true, the modal is open | <Modal isOpen={this.state.modal} ... /> |
keyboard |
boolean | true |
Closes the modal when the escape key is pressed. | <Modal keyboard={false} ... /> |
labelledBy |
string |
|
Changes aria-labelledby attribute | <Modal labelledBy="myLabel" ... /> |
modalClassName |
string |
|
Adds custom class to modal-dialog element | <Modal modalClassName="myClass" ... /> |
modalStyle |
string |
|
Predefines modal style. Choose one of success / info / danger / warning. | <Modal modalStyle="info" ... /> |
noClickableBodyWithoutBackdrop |
boolean |
|
Prevents clicking on body without a backdrop. | <Modal noClickableBodyWithoutBackdrop ... /> |
overflowScroll |
boolean |
|
Enables modal scrolling in the Y axis. | <Modal overflowScroll ... /> |
position |
string |
|
Changes the position of the modal | <Modal position="top-right" ... /> |
modalTransitionTimeout |
number |
|
Defines a transition time for the modal animation. | <Modal modalTransitionTimeout={5000} ... /> |
side |
boolean |
|
Changes the position of the modal. It has to be used along with position prop equal to top-right / bottom-right / bottom-left / top-left | <Modal side position="top-right" ... /> |
size |
string |
|
Changes the size of the modal. Choose from sm / lg / fluid | <Modal size="lg" ... /> |
toggle |
function |
|
Defines function which fires on close/open event | <Modal toggle={this.myFunction} ... /> |
wrapClassName |
string |
|
Add custom class to wrapping container. | <Modal wrapClassName="myClass" ... /> |
hiddenModal |
function |
|
This event is fired after the modal is closed. | <Modal hiddenModal={this.hiddenHandler} ... /> |
hideModal |
function |
|
This event is fired just before the modal is hidden. | <Modal hideModal={this.hideHandler} ... /> |
showModal |
function |
|
This event is fired just before the modal is open. | <Modal showModal={this.showHandler} ... /> |
disableBackdrop |
boolean | false |
Disable backdrop if this prop is true. | <Modal disableBackdrop ... /> |
ModalBody PropTypes
Name
Type
Default
Description
Example
className
string
Adds custom class to ModalBody component.
<ModalBody className="myClass" ... />
ModalFooter PropTypes
Name
Type
Default
Description
Example
className
string
Adds custom class to ModalFooter component.
<ModalFooter className="myClass" ... />
ModalHeader PropTypes
Name
Type
Default
Description
Example
className
string
Adds custom class to ModalHeader component .
<ModalHeader className="myClass" ... />
toggle
function
Defines function which fires on close/open event
<ModalHeader toggle="this.myFunction" ... />
tag
string
h4
Defines custom tag for ModalHeader
<ModalHeader tag="h2" ... />
closeAriaLabel
string
Close
Deifines custom label for close button
<ModalHeader closeAriaLabel="myClass" ... />
titleClass
string
Adds custom class to title element.
<ModalHeader titleClass="myTitleClass" ... />
Name | Type | Default | Description | Example |
---|---|---|---|---|
className |
string |
|
Adds custom class to ModalBody component. | <ModalBody className="myClass" ... /> |
Name | Type | Default | Description | Example |
---|---|---|---|---|
className |
string |
|
Adds custom class to ModalFooter component. | <ModalFooter className="myClass" ... /> |
ModalHeader PropTypes
Name
Type
Default
Description
Example
className
string
Adds custom class to ModalHeader component .
<ModalHeader className="myClass" ... />
toggle
function
Defines function which fires on close/open event
<ModalHeader toggle="this.myFunction" ... />
tag
string
h4
Defines custom tag for ModalHeader
<ModalHeader tag="h2" ... />
closeAriaLabel
string
Close
Deifines custom label for close button
<ModalHeader closeAriaLabel="myClass" ... />
titleClass
string
Adds custom class to title element.
<ModalHeader titleClass="myTitleClass" ... />
Name | Type | Default | Description | Example |
---|---|---|---|---|
className |
string |
|
Adds custom class to ModalHeader component . | <ModalHeader className="myClass" ... /> |
toggle |
function |
|
Defines function which fires on close/open event | <ModalHeader toggle="this.myFunction" ... /> |
tag |
string | h4 |
Defines custom tag for ModalHeader | <ModalHeader tag="h2" ... /> |
closeAriaLabel |
string | Close |
Deifines custom label for close button | <ModalHeader closeAriaLabel="myClass" ... /> |
titleClass |
string |
|
Adds custom class to title element. | <ModalHeader titleClass="myTitleClass" ... /> |
React Modals - examples & customization
Quickly get a project started with any of our examples.
Modal Cookies
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBIcon,
MDBRow,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal1: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(1)}>Launch MDBModal</MDBBtn>
<MDBModal
position="top"
backdrop={false}
frame
isOpen={this.state.modal1}
toggle={this.toggle(1)}
>
<MDBModalBody>
<MDBRow className="justify-content-center align-items-center">
<p className="pt-3 pr-2">
We use cookies to improve your website experience
</p>
<MDBBtn color="primary" onClick={this.toggle(1)}>
Learn more
<MDBIcon icon="book" className="ml-1" />
</MDBBtn>
<MDBBtn color="primary" outline onClick={this.toggle(1)}>
Ok, thanks
</MDBBtn>
</MDBRow>
</MDBModalBody>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Modal Coupon
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBIcon,
MDBRow,
MDBBadge,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal2: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(2)}>Launch MDBModal</MDBBtn>
<MDBModal
position="bottom"
backdrop={false}
frame
isOpen={this.state.modal2}
toggle={this.toggle(2)}
>
<MDBModalBody>
<MDBRow className="justify-content-center align-items-center">
<h3>
<MDBBadge color="success">v52gs1</MDBBadge>
</h3>
<p className="pt-3 mx-4">
We have a gift for you! Use this code to get a{" "}
<strong>10% discount</strong>.
</p>
<MDBBtn color="success" onClick={this.toggle(2)}>
Learn more
<MDBIcon icon="book" className="ml-1" />
</MDBBtn>
<MDBBtn color="success" outline onClick={this.toggle(2)}>
No, thanks
</MDBBtn>
</MDBRow>
</MDBModalBody>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Modal Discount
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBIcon,
MDBBadge,
MDBCol,
MDBRow,
MDBModalHeader,
ModalFooter,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal3: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(3)}>Launch MDBModal</MDBBtn>
<MDBModal
size="lg"
className="modal-notify modal-danger text-white"
side
position="bottom-right"
backdrop={false}
isOpen={this.state.modal3}
toggle={this.toggle(3)}
>
<MDBModalHeader tag="p" toggle={this.toggle(3)}>
Discount offer: <strong>10% off</strong>
</MDBModalHeader>
<MDBModalBody>
<MDBRow>
<MDBCol
size="3"
className="d-flex justify-content-center align-items-center"
>
<MDBIcon size="4x" icon="gift" className="ml-1" />
</MDBCol>
<MDBCol size="9">
<p>
Sharing is caring. Therefore, from time to time we like to
give our visitors small gifts. Today is one of those days.
</p>
<p>
<strong>
Copy the following code and use it at the checkout. It's
valid for <u>one day</u>.
</strong>
</p>
<h3>
<MDBBadge color="danger">v52gs1</MDBBadge>
</h3>
</MDBCol>
</MDBRow>
</MDBModalBody>
<ModalFooter className="justify-content-center">
<MDBBtn color="danger" onClick={this.toggle(3)}>
Get it now
<MDBIcon far icon="gem" className="ml-1 white-text" />
</MDBBtn>
<MDBBtn color="danger" outline onClick={this.toggle(3)}>
No, thanks
</MDBBtn>
</ModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Modal Related Content
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBCol,
MDBRow,
MDBModalHeader,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal3: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(4)}>Launch MDBModal</MDBBtn>
<MDBModal
className="modal-notify modal-info text-white"
side
position="bottom-right"
backdrop={false}
isOpen={this.state.modal4}
toggle={this.toggle(4)}
>
<MDBModalHeader tag="p" toggle={this.toggle(4)}>
Related article
</MDBModalHeader>
<MDBModalBody>
<MDBRow>
<MDBCol size="5">
<img
src="https://mdbootstrap.com/img/Photos/Horizontal/Nature/4-col/img%20(55).webp"
className="img-fluid"
alt=""
/>
</MDBCol>
<MDBCol size="7">
<p>
<strong>My travel to paradise</strong>
</p>
<p>
Lorem ipsum dolor sit amet consectetur adipisicing elit...
</p>
<MDBBtn
color="primary"
size="md"
outline
onClick={this.toggle(4)}
>
Read more
</MDBBtn>
</MDBCol>
</MDBRow>
</MDBModalBody>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Modal Abandoned Cart
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBCol,
MDBRow,
MDBModalHeader,
ModalFooter,
MDBIcon,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal5: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(5)}>Launch MDBModal</MDBBtn>
<MDBModal
className="modal-notify modal-info text-white"
side
position="top-right"
backdrop={false}
isOpen={this.state.modal5}
toggle={this.toggle(5)}
>
<MDBModalHeader tag="p" toggle={this.toggle(5)}>
Product in the cart
</MDBModalHeader>
<MDBModalBody>
<MDBRow>
<MDBCol
size="3"
className="d-flex justify-content-center align-items-center"
>
<MDBIcon size="4x" icon="shopping-cart" className="ml-1" />
</MDBCol>
<MDBCol size="9">
<p>Do you need more time to make a purchase decision?</p>
<p>
No pressure, your product will be waiting for you in the cart.
</p>
</MDBCol>
</MDBRow>
</MDBModalBody>
<ModalFooter className="justify-content-center">
<MDBBtn color="primary" onClick={this.toggle(5)}>
Go to cart
</MDBBtn>
<MDBBtn color="primary" outline onClick={this.toggle(5)}>
Cancel
</MDBBtn>
</ModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Modal Confirm Delete
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBCol,
MDBRow,
MDBModalHeader,
MDBModalFooter,
MDBIcon,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal6: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(6)}>Launch MDBModal</MDBBtn>
<MDBModal
modalStyle="danger"
className="text-white"
size="sm"
side
position="top-right"
backdrop={false}
isOpen={this.state.modal6}
toggle={this.toggle(6)}
>
<MDBModalHeader
className="text-center"
titleClass="w-100"
tag="p"
toggle={this.toggle(6)}
>
Are you sure?
</MDBModalHeader>
<MDBModalBody className="text-center">
<MDBIcon icon="times" size="4x" className="animated rotateIn" />
</MDBModalBody>
<MDBModalFooter className="justify-content-center">
<MDBBtn color="danger" onClick={this.toggle(6)}>
Yes
</MDBBtn>
<MDBBtn color="danger" outline onClick={this.toggle(6)}>
No
</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Modal Poll
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBInput,
MDBModalHeader,
MDBModalFooter,
MDBIcon,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal9: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(9)}>Launch MDBModal</MDBBtn>
<MDBModal
fullHeight
position="right"
backdrop={false}
className="modal-notify modal-info text-white"
isOpen={this.state.modal9}
toggle={this.toggle(9)}
>
<MDBModalHeader tag="p" toggle={this.toggle(9)}>
Feedback request
</MDBModalHeader>
<MDBModalBody className="text-center">
<MDBIcon
far
icon="file-alt"
size="4x"
className="animated rotateIn mb-3"
/>
<p className="font-weight-bold mb-3">Your opinion matters</p>
<p>
Have some ideas how to improve our product? Give us your feedback.
</p>
<hr />
<p className="mb-3">Your rating</p>
<div className="text-left">
<MDBInput label="Very good" type="radio" id="radio1" />
<MDBInput label="Good" type="radio" id="radio2" />
<MDBInput label="Mediocre" type="radio" id="radio3" />
<MDBInput label="Bad" type="radio" id="radio4" />
<MDBInput label="Very bad" type="radio" id="radio5" />
</div>
<p className="mb-3">What could we improve?</p>
<MDBInput label="Your message" type="textarea" id="radio1" />
</MDBModalBody>
<MDBModalFooter className="justify-content-center">
<MDBBtn color="primary" onClick={this.toggle(9)}>
Send
<MDBIcon icon="paper-plane" className="ml-1" />
</MDBBtn>
<MDBBtn color="primary" outline onClick={this.toggle(9)}>
Calcel
</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Modal Cart
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBTableHead,
MDBModalHeader,
MDBModalFooter,
MDBTable,
TableBody,
MDBIcon,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal10: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(10)}>Launch MDBModal</MDBBtn>
<MDBModal isOpen={this.state.modal10} toggle={this.toggle(10)}>
<MDBModalHeader toggle={this.toggle(10)}>Your cart</MDBModalHeader>
<MDBModalBody>
<MDBTable striped>
<MDBTableHead>
<tr>
<th></th>
<th>Product name</th>
<th>Price</th>
<th>Remove</th>
</tr>
</MDBTableHead>
<TableBody>
<tr>
<td>1</td>
<td>Product 1</td>
<td>100$</td>
<td>
<MDBIcon icon="times" />
</td>
</tr>
<tr>
<td>2</td>
<td>Product 2</td>
<td>1 340$</td>
<td>
<MDBIcon icon="times" />
</td>
</tr>
<tr>
<td>3</td>
<td>Product 3</td>
<td>30$</td>
<td>
<MDBIcon icon="times" />
</td>
</tr>
<tr>
<td></td>
<td>
<strong>Total</strong>
</td>
<td>
<strong>1 470$</strong>
</td>
<td></td>
</tr>
</TableBody>
</MDBTable>
</MDBModalBody>
<MDBModalFooter className="justify-content-end">
<MDBBtn color="primary" outline onClick={this.toggle(10)}>
Close
</MDBBtn>
<MDBBtn color="primary" onClick={this.toggle(10)}>
Checkout
</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Modal Push
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalFooter,
MDBModalHeader,
MDBIcon,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal7: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(7)}>Launch MDBModal</MDBBtn>
<MDBModal
className="modal-notify modal-info text-white"
isOpen={this.state.modal7}
toggle={this.toggle(7)}
>
<MDBModalHeader className="text-center" titleClass="w-100" tag="p">
Be always up to date
</MDBModalHeader>
<MDBModalBody className="text-center">
<MDBIcon icon="bell" size="4x" className="animated rotateIn mb-4" />
<p>
Do you want to receive the push notification about the newest
posts?
</p>
</MDBModalBody>
<MDBModalFooter className="justify-content-center">
<MDBBtn color="primary" onClick={this.toggle(7)}>
Yes
</MDBBtn>
<MDBBtn color="primary" outline onClick={this.toggle(7)}>
No
</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Modal YouTube
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalFooter,
MDBIcon,
MDBIframe,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal11: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(11)}>Launch MDBModal</MDBBtn>
<MDBModal
size="lg"
isOpen={this.state.modal11}
toggle={this.toggle(11)}
>
<MDBModalBody className="mb-0 p-0">
<div className="embed-responsive embed-responsive-16by9 z-depth-1-half">
<MDBIframe src="https://www.youtube.com/embed/A3PDXmYoF5U" />
</div>
</MDBModalBody>
<MDBModalFooter className="justify-content-center">
<span className="mr-4">Spread the word!</span>
<MDBBtn tag="a" size="sm" floating social="fb">
<MDBIcon fab icon="facebook-f" />
</MDBBtn>
<MDBBtn tag="a" size="sm" floating social="tw">
<MDBIcon fab icon="twitter" />
</MDBBtn>
<MDBBtn tag="a" size="sm" floating social="gplus">
<MDBIcon fab icon="google-plus-g" />
</MDBBtn>
<MDBBtn tag="a" size="sm" floating social="li">
<MDBIcon fab icon="linkedin-in" />
</MDBBtn>
<MDBBtn
color="primary"
outline
rounded
size="md"
className="ml-4"
onClick={this.toggle(11)}
>
Close
</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Modal Vimeo
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalFooter,
MDBIcon,
MDBIframe,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal12: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(12)}>Launch MDBModal</MDBBtn>
<MDBModal
size="lg"
isOpen={this.state.modal12}
toggle={this.toggle(12)}
>
<MDBModalBody className="mb-0 p-0">
<MDBIframe src="https://player.vimeo.com/video/115098447" />
</MDBModalBody>
<MDBModalFooter className="justify-content-center">
<span className="mr-4">Spread the word!</span>
<MDBBtn tag="a" size="sm" floating social="fb">
<MDBIcon fab icon="facebook-f" />
</MDBBtn>
<MDBBtn tag="a" size="sm" floating social="tw">
<MDBIcon fab icon="twitter" />
</MDBBtn>
<MDBBtn tag="a" size="sm" floating social="gplus">
<MDBIcon fab icon="google-plus-g" />
</MDBBtn>
<MDBBtn tag="a" size="sm" floating social="li">
<MDBIcon fab icon="linkedin-in" />
</MDBBtn>
<MDBBtn
color="primary"
outline
rounded
size="md"
className="ml-4"
onClick={this.toggle(12)}
>
Close
</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Modal Product
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBCol,
MDBCarouselInner,
MDBCard,
MDBCardBody,
MDBCarousel,
MDBModalBody,
MDBCollapseHeader,
MDBCarouselItem,
MDBSelectOption,
MDBSelectOptions,
MDBRow,
MDBSelect,
MDBSelectInput,
MDBCollapse,
MDBIcon,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal13: false,
accordion: 1,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
onClick = (nr) => () => {
this.setState({
accordion: nr,
});
};
render() {
const { accordion } = this.state;
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(13)}>Launch MDBModalBody</MDBBtn>
<MDBModal
size="lg"
isOpen={this.state.modal13}
toggle={this.toggle(13)}
>
<MDBModalBody className="d-flex">
<MDBCol size="5" lg="5">
<MDBCarousel
activeItem={1}
length={3}
showControls={true}
showIndicators={true}
thumbnails
className="z-depth-1"
>
<MDBCarouselInner>
<MDBCarouselItem itemId="1">
<img
className="d-block w-100"
src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/img%20(23).webp"
alt="First slide"
/>
</MDBCarouselItem>
<MDBCarouselItem itemId="2">
<img
className="d-block w-100"
src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/img%20(24).webp"
alt="Second slide"
/>
</MDBCarouselItem>
<MDBCarouselItem itemId="3">
<img
className="d-block w-100"
src="https://mdbootstrap.com/img/Photos/Horizontal/E-commerce/Vertical/img%20(25).webp"
alt="Third slide"
/>
</MDBCarouselItem>
</MDBCarouselInner>
</MDBCarousel>
</MDBCol>
<MDBCol size="7" lg="7">
<h2 className="h2-responsive product-name">
<strong>Product Name</strong>
</h2>
<h4 className="h4-responsive">
<span className="green-text">
<strong>$49</strong>
</span>
<span className="grey-text ml-1">
<small>
<s>$89</s>
</small>
</span>
</h4>
<div className="my-4">
<MDBCard>
<MDBCollapseHeader onClick={this.onClick(1)}>
Description
<i
className={`ml-1 ${
accordion === 1
? "fa fa-angle-down rotate-icon"
: "fa fa-angle-down"
}`}
></i>
</MDBCollapseHeader>
<MDBCollapse isOpen={accordion === 1}>
<MDBCardBody>
Anim pariatur cliche reprehenderit, enim eiusmod high life
accusamus terry richardson ad squid. 3 wolf moon officia
aute, non cupidatat skateboard dolor brunch. Food truck
quinoa nesciunt laborum eiusmod.
</MDBCardBody>
</MDBCollapse>
</MDBCard>
<MDBCard>
<MDBCollapseHeader onClick={this.onClick(2)}>
Details
<i
className={
"ml-1" +
(accordion === 2
? "fa fa-angle-down rotate-icon"
: "fa fa-angle-down")
}
></i>
</MDBCollapseHeader>
<MDBCollapse isOpen={accordion === 2}>
<MDBCardBody>
Anim pariatur cliche reprehenderit, enim eiusmod high life
accusamus terry richardson ad squid. 3 wolf moon officia
aute, non cupidatat skateboard dolor brunch. Food truck
quinoa nesciunt laborum eiusmod.
</MDBCardBody>
</MDBCollapse>
</MDBCard>
<MDBCard>
<MDBCollapseHeader onClick={this.onClick(3)}>
Shipping
<i
className={`ml-1 ${
accordion === 1
? "fa fa-angle-down rotate-icon"
: "fa fa-angle-down"
}`}
></i>
</MDBCollapseHeader>
<MDBCollapse isOpen={accordion === 3}>
<MDBCardBody>
Anim pariatur cliche reprehenderit, enim eiusmod high life
accusamus terry richardson ad squid. 3 wolf moon officia
aute, non cupidatat skateboard dolor brunch. Food truck
quinoa nesciunt laborum eiusmod.
</MDBCardBody>
</MDBCollapse>
</MDBCard>
</div>
<MDBRow>
<MDBCol
size="
6"
>
<MDBSelect>
<MDBSelectInput></MDBSelectInput>
<MDBSelectOptions>
<MDBSelectOption disabled>
Choose your option
</MDBSelectOption>
<MDBSelectOption>White</MDBSelectOption>
<MDBSelectOption>Black</MDBSelectOption>
<MDBSelectOption>Pink</MDBSelectOption>
</MDBSelectOptions>
</MDBSelect>
<label>MDBSelect color</label>
</MDBCol>
<MDBCol size="6">
<MDBSelect>
<MDBSelectInput></MDBSelectInput>
<MDBSelectOptions>
<MDBSelectOption disabled>
Choose your option
</MDBSelectOption>
<MDBSelectOption>White</MDBSelectOption>
<MDBSelectOption>Black</MDBSelectOption>
<MDBSelectOption>Pink</MDBSelectOption>
</MDBSelectOptions>
</MDBSelect>
<label>MDBSelect size</label>
</MDBCol>
</MDBRow>
<MDBRow className="justify-content-center">
<MDBBtn
color="secondary"
className="ml-4"
onClick={this.toggle(13)}
>
Close
</MDBBtn>
<MDBBtn
color="primary"
className="ml-4"
onClick={this.toggle(13)}
>
Add to Cart
<MDBIcon icon="cart-plus" className="ml-2" />
</MDBBtn>
</MDBRow>
</MDBCol>
</MDBModalBody>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Modal Social Share
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBIcon,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal8: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn onClick={this.toggle(8)}>Launch Modal</MDBBtn>
<MDBModal cascading isOpen={this.state.modal8} toggle={his.toggle(8)}>
<MDBModalHeader
className="text-center text-white light-blue darken-3"
titleClass="w-100"
tag="h5"
toggle={this.toggle(8)}
>
<MDBIcon icon="users" className="text-white mr-2" />
Spreed the word!
</MDBModalHeader>
<MDBModalBody className="text-center">
<MDBBtn tag="a" floating social="fb">
<MDBIcon fab icon="facebook-f" />
</MDBBtn>
<MDBBtn tag="a" floating social="tw">
<MDBIcon fab icon="twitter" />
</MDBBtn>
<MDBBtn tag="a" floating social="gplus">
<MDBIcon fab icon="google-plus-g" />
</MDBBtn>
<MDBBtn tag="a" floating social="li">
<MDBIcon fab icon="linkedin-in" />
</MDBBtn>
<MDBBtn tag="a" floating social="ins">
<MDBIcon fab icon="instagram" />
</MDBBtn>
<MDBBtn tag="a" floating social="pin">
<MDBIcon fab icon="pinterest" />
</MDBBtn>
<MDBBtn tag="a" floating social="yt">
<MDBIcon fab icon="youtube" />
</MDBBtn>
<MDBBtn tag="a" floating social="dribble">
<MDBIcon fab icon="dribbble" />
</MDBBtn>
<MDBBtn tag="a" floating social="vk">
<MDBIcon fab icon="vk" />
</MDBBtn>
<MDBBtn tag="a" floating social="so">
<MDBIcon fab icon="stack-overflow" />
</MDBBtn>
<MDBBtn tag="a" floating social="slack">
<MDBIcon fab icon="slack" />
</MDBBtn>
<MDBBtn tag="a" floating social="git">
<MDBIcon fab icon="github" />
</MDBBtn>
<MDBBtn tag="a" floating social="comm">
<MDBIcon icon="comments" />
</MDBBtn>
<MDBBtn tag="a" floating social="email">
<MDBIcon icon="envelope" />
</MDBBtn>
</MDBModalBody>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Simple Modal Login
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBInput,
MDBModalFooter,
} from "mdbreact";
import "./index.css";
class ModalPage extends Component {
state = {
modal1: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn rounded onClick={this.toggle(1)}>
Launch MDBModal Login Form
</MDBBtn>
<MDBModal isOpen={this.state.modal1} toggle={this.toggle(1)}>
<MDBModalHeader
className="text-center"
titleClass="w-100 font-weight-bold"
toggle={this.toggle(1)}
>
Sign in
</MDBModalHeader>
<MDBModalBody>
<form className="mx-3 grey-text">
<MDBInput
label="Type your email"
icon="envelope"
group
type="email"
validate
error="wrong"
success="right"
/>
<MDBInput
label="Type your password"
icon="lock"
group
type="password"
validate
/>
</form>
</MDBModalBody>
<MDBModalFooter className="justify-content-center">
<MDBBtn onClick={this.toggle(1)}>Login</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Simple Modal Register
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBInput,
MDBModalFooter,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal2: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn rounded onClick={this.toggle(2)}>
Launch Modal Register Form
</MDBBtn>
<MDBModal isOpen={this.state.modal2} toggle={this.toggle(2)}>
<MDBModalHeader
className="text-center"
titleClass="w-100 font-weight-bold"
toggle={this.toggle(2)}
>
Sign in
</MDBModalHeader>
<MDBModalBody>
<form className="mx-3 grey-text">
<MDBInput
label="Your name"
icon="user"
group
type="text"
validate
error="wrong"
success="right"
/>
<MDBInput
label="Your email"
icon="envelope"
group
type="email"
validate
error="wrong"
success="right"
/>
<MDBInput
label="Your password"
icon="lock"
group
type="password"
validate
/>
</form>
</MDBModalBody>
<MDBModalFooter className="justify-content-center">
<MDBBtn color="deep-orange" onClick={this.toggle(2)}>
SIGN UP
</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Simple Modal Subscription
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBInput,
MDBModalFooter,
MDBIcon,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal2: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn rounded onClick={this.toggle(3)}>
Launch Modal subscription Form
</MDBBtn>
<MDBModal isOpen={this.state.modal3} toggle={this.toggle(3)}>
<MDBModalHeader
className="text-center"
titleClass="w-100 font-weight-bold"
toggle={this.toggle(3)}
>
Subscribe
</MDBModalHeader>
<MDBModalBody>
<form className="mx-3 grey-text">
<MDBInput
label="Your name"
icon="user"
group
type="text"
validate
/>
<MDBInput
label="Your email"
icon="envelope"
group
type="email"
validate
error="wrong"
success="right"
/>
</form>
</MDBModalBody>
<MDBModalFooter className="justify-content-center">
<MDBBtn color="indigo" onClick={this.toggle(3)}>
Send
<MDBIcon far icon="paper-plane" className="ml-2" />
</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Simple Modal Contact
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBInput,
MDBModalFooter,
MDBIcon,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal4: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn rounded onClick={this.toggle(4)}>
Launch Modal Contact Form
</MDBBtn>
<MDBModal isOpen={this.state.modal4} toggle={this.toggle(4)}>
<MDBModalHeader
className="text-center"
titleClass="w-100 font-weight-bold"
toggle={this.toggle(4)}
>
Write to us
</MDBModalHeader>
<MDBModalBody>
<form className="mx-3 grey-text">
<MDBInput
label="Your name"
icon="user"
group
type="text"
validate
/>
<MDBInput
label="Your email"
icon="envelope"
group
type="email"
validate
error="wrong"
success="right"
/>
<MDBInput label="Your Subject" icon="tag" group type="text" />
<MDBInput
type="textarea"
rows="2"
label="Your message"
icon="pencil-alt"
/>
</form>
</MDBModalBody>
<MDBModalFooter className="justify-content-center">
<MDBBtn color="unique" onClick={this.toggle(4)}>
Send
<MDBIcon far icon="paper-plane" className="ml-2" />
</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Cascading Modal Register / Login MDB Pro component
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBNav,
MDBNavItem,
MDBNavLink,
MDBInput,
MDBModalFooter,
MDBIcon,
MDBTabContent,
MDBTabPane,
MDBRow,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal1: false,
activeItem: "1",
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
toggleTab = (nr) => () => {
this.setState({
activeItem: nr,
});
};
render() {
return (
<MDBContainer>
<MDBBtn rounded onClick={this.toggle(1)}>
Launch MDBModal Login/Register
</MDBBtn>
<MDBModal
className="form-cascading"
isOpen={this.state.modal1}
toggle={this.toggle(1)}
>
<MDBNav
tabs
className="md-tabs nav-justified tabs-2 light-blue darken-3"
style={{ margin: "-1.5rem 1rem 0 1rem" }}
>
<MDBNavItem>
<MDBNavLink
className={this.state.activeItem === 1 ? "active" : ""}
to="#"
onClick={this.toggleTab("1")}
>
<MDBIcon icon="user" className="mr-1" />
Login
</MDBNavLink>
</MDBNavItem>
<MDBNavItem>
<MDBNavLink
className={this.state.activeItem === 2 ? "active" : ""}
to="#"
onClick={this.toggleTab("2")}
>
<MDBIcon icon="user-plus" className="mr-1" />
Register
</MDBNavLink>
</MDBNavItem>
</MDBNav>
<MDBTabContent activeItem={this.state.activeItem}>
<MDBTabPane tabId="1">
<MDBModalBody className="mx-3">
<form className=" mx-3 grey-text">
<MDBInput
label="Your email"
icon="envelope"
group
type="email"
validate
error="wrong"
success="right"
/>
<MDBInput
label="Your password"
icon="lock"
group
type="password"
validate
/>
</form>
</MDBModalBody>
<MDBModalFooter className="justify-content-center mx-3">
<MDBBtn className="mb-4" color="info" onClick={this.toggle(3)}>
LOG IN
<MDBIcon icon="sign-in-alt" className="ml-1" />
</MDBBtn>
<MDBRow
className="w-100 justify-content-start pt-4"
style={{ borderTop: "1px solid #e9ecef" }}
>
<div id="options">
<p className="font-small grey-text">
Not a member?{" "}
<span
className="blue-text ml-1"
onClick={this.toggleTab("2")}
>
Sign Up
</span>
</p>
<p className="font-small grey-text">
Forgot <span className="blue-text ml-1">password?</span>
</p>
</div>
<MDBBtn outline color="info" onClick={this.toggle(1)}>
CLOSE
</MDBBtn>
</MDBRow>
</MDBModalFooter>
</MDBTabPane>
<MDBTabPane tabId="2">
<MDBModalBody className="mx-3">
<form className=" mx-3 grey-text">
<MDBInput
label="Your email"
icon="envelope"
group
type="email"
validate
error="wrong"
success="right"
/>
<MDBInput
label="Your password"
icon="lock"
group
type="password"
validate
/>
<MDBInput
label="Repeat password"
icon="lock"
group
type="password"
validate
/>
</form>
</MDBModalBody>
<MDBModalFooter className="justify-content-center mx-3">
<MDBBtn className="mb-4" color="info" onClick={this.toggle(3)}>
SIGN UP
<MDBIcon icon="sign-in-alt" className="ml-1" />
</MDBBtn>
<MDBRow
className="w-100 justify-content-start pt-4"
style={{ borderTop: "1px solid #e9ecef" }}
>
<div id="options">
<p className="font-small grey-text">
Already have an account?
<span
className="blue-text ml-1"
onClick={this.toggleTab("1")}
>
Log in
</span>
</p>
</div>
<MDBBtn outline color="info" onClick={this.toggleTab("1")}>
CLOSE
</MDBBtn>
</MDBRow>
</MDBModalFooter>
</MDBTabPane>
</MDBTabContent>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
/* Cascading modal register / login */
.form-cascading .modal-footer{
border-top: none;
flex-direction: column;
}
.form-cascading #options {
margin-right: auto;
}
.form-cascading #options p {
margin-bottom: 0;
}
.form-cascading #options p span{
cursor: pointer;
}
Modal With Avatar
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBInput,
MDBModalFooter,
MDBIcon,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal5: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn rounded onClick={this.toggle(5)}>
Launch Modal Login With Avatar
</MDBBtn>
<MDBModal
size="sm"
cascading
className="modal-avatar"
isOpen={this.state.modal5}
toggle={this.toggle(5)}
>
<MDBModalHeader className="mx-auto">
<img
src="https://mdbootstrap.com/img/Photos/Avatars/img%20%281%29.webp"
alt="avatar"
className="rounded-circle img-responsive"
/>
</MDBModalHeader>
<MDBModalBody className="text-center mb-1">
<h5 className="mt-1 mb-2">Maria Doe</h5>
<form className="mx-3 grey-text">
<MDBInput label="Enter password" group type="password" validate />
</form>
</MDBModalBody>
<MDBModalFooter className="justify-content-center">
<MDBBtn color="cyan" onClick={this.toggle(5)}>
Login
<MDBIcon icon="sign-in-alt" className="ml-2" />
</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Subscription Modal With Orange Header
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBInput,
MDBModalFooter,
MDBIcon,
} from "mdbreact";
class ModalPage extends Component {
state = {
modal5: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn rounded onClick={this.toggle(6)}>
Launch Modal Subscription
</MDBBtn>
<MDBModal
className="modal-notify modal-warning white-text"
isOpen={this.state.modal6}
toggle={this.toggle(6)}
>
<MDBModalHeader
className="text-center"
titleClass="w-100 font-weight-bold"
toggle={this.toggle(6)}
>
Subscribe
</MDBModalHeader>
<MDBModalBody>
<form className="mx-3 grey-text">
<MDBInput
label="Your name"
icon="user"
iconClass="grey-text"
group
type="text"
validate
error="wrong"
success="right"
/>
<MDBInput
label="Your email"
icon="envelope"
iconClass="grey-text"
group
type="email"
validate
error="wrong"
success="right"
/>
</form>
</MDBModalBody>
<MDBModalFooter className="justify-content-center">
<MDBBtn color="warning" outline onClick={this.toggle(6)}>
Send
<MDBIcon far icon="paper-plane" className="ml-2" />
</MDBBtn>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
Elegant Modal Login MDB Pro component
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBInput,
MDBModalFooter,
MDBIcon,
MDBRow,
} from "mdbreact";
import "./index.css";
class ModalPage extends Component {
state = {
modal2: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn rounded onClick={this.toggle(2)}>
Launch Modal Login Form
</MDBBtn>
<MDBModal
className="form-elegant"
isOpen={this.state.modal2}
toggle={this.toggle(2)}
>
<MDBModalHeader
className="text-center"
titleClass="w-100 font-weight-bold my-3"
toggle={this.toggle(2)}
>
Sign in
</MDBModalHeader>
<MDBModalBody className="mx-3">
<form className=" mx-3 grey-text">
<MDBInput label="Your email" group type="email" validate />
<MDBInput label="Your password" group type="password" validate />
<p className="font-small blue-text text-right">
Forgot password?
</p>
</form>
</MDBModalBody>
<MDBModalFooter className="justify-content-center mx-4">
<MDBBtn block rounded gradient="blue" onClick={this.toggle(2)}>
SIGN IN
</MDBBtn>
<p className="font-small dark-grey-text my-4">or Sign in with:</p>
<MDBRow className="py-3">
<MDBBtn rounded color="white" className="mr-md-3">
<MDBIcon
fab
icon="facebook-f"
className="text-center blue-text"
/>
</MDBBtn>
<MDBBtn rounded color="white" className="mr-md-3">
<MDBIcon fab icon="twitter" className="text-center blue-text" />
</MDBBtn>
<MDBBtn rounded color="white" className="mr-md-3">
<MDBIcon
fab
icon="google-plus-g"
className="text-center blue-text"
/>
</MDBBtn>
</MDBRow>
<MDBRow
className="mx-5 w-100 py-3 justify-content-end"
style={{ borderTop: "1px solid #e9ecef" }}
>
<p className="font-small grey-text">
Not a member? <span className="blue-text ml-1"> Sign Up</span>
</p>
</MDBRow>
</MDBModalFooter>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
/* Elegant modal login */
.form-elegant .modal-header {
border-bottom: none;
}
.form-elegant .modal-footer{
border-top: none;
flex-direction: column;
}
.form-elegant .font-small {
font-size: 0.8rem;
}
Dark Modal Register MDB Pro component
import React, { Component } from "react";
import {
MDBContainer,
MDBBtn,
MDBModal,
MDBModalBody,
MDBModalHeader,
MDBInput,
MDBModalFooter,
MDBCol,
} from "mdbreact";
import "./index.css";
class ModalPage extends Component {
state = {
modal2: false,
};
toggle = (nr) => () => {
let modalNumber = "modal" + nr;
this.setState({
[modalNumber]: !this.state[modalNumber],
});
};
render() {
return (
<MDBContainer>
<MDBBtn rounded onClick={this.toggle(3)}>
Launch MDBModal Register Form
</MDBBtn>
<MDBModal
className="form-dark"
contentClassName="card card-image"
isOpen={this.state.modal3}
toggle={this.toggle(3)}
>
<div className="text-white rgba-stylish-strong py-5 px-5 z-depth-4">
<MDBModalHeader
className="text-center"
titleClass="w-100 font-weight-bold white-text"
toggle={this.toggle(3)}
>
SIGN<span className="green-text"> UP</span>
</MDBModalHeader>
<MDBModalBody>
<form className="mx-3 grey-text">
<MDBInput label="Your email" group type="email" validate />
<MDBInput
label="Your password"
group
type="password"
validate
/>
<input
className="form-check-input"
type="checkbox"
id="modalFormDarkCheckbox"
></input>
<label
htmlFor="modalFormDarkCheckbox"
className="white-text form-check-label"
>
Accept the
<span className="green-text font-weight-bold">
Terms and Conditions
</span>
</label>
</form>
</MDBModalBody>
<MDBModalFooter className="justify-content-center">
<MDBCol md="12" className="mb-3">
<MDBBtn block rounded color="success" onClick={this.toggle(3)}>
SIGN UP
</MDBBtn>
</MDBCol>
<MDBCol md="12" className="mb-3 text-right font-small">
Have an account?
<span className="green-text ml-1 font-weight-bold">Log in</span>
</MDBCol>
</MDBModalFooter>
</div>
</MDBModal>
</MDBContainer>
);
}
}
export default ModalPage;
/* Dark modal register */
.form-dark .modal-content{
background-image: url('https://mdbootstrap.com/img/Photos/Others/pricing-table%20(7).webp');
}
.form-dark .modal-header {
border-bottom: none;
}
.form-dark .modal-header .close {
color: #fff;
}
.form-dark .modal-footer{
border-top: none;
flex-direction: column;
}
.form-dark input[type=email]:focus:not([readonly]) {
border-bottom: 1px solid #00C851;
-webkit-box-shadow: 0 1px 0 0 #00C851;
box-shadow: 0 1px 0 0 #00C851;
}
.form-dark input[type=email]:focus:not([readonly]) + label {
color: #fff;
}
.form-dark .font-small {
font-size: 0.8rem;
}

Angular Bootstrap Modals / Angular Bootstrap Popup

Angular Modals - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap modal is a dialog box/popup window which can be used for lightboxes, user notifications, UI enhancements, e-commerce components and many other cases.

It's easily customized. You can manipulate size, position, and content.

This documentation presents the basic options and examples of modals. If you need more advanced help, please have a look at the additional pages of the documentation listed below:


Basic example

Below is a basic Modal example with a button triggering a Modal via a mdbModal directive.

Click on the button to trigger the Modal.

        
            
                    <button type="button" mdbBtn color="primary" class="relative waves-light" (click)="basicModal.show()" mdbWavesEffect>Launch demo modal</button>
                    <div mdbModal #basicModal="mdbModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myBasicModalLabel" aria-hidden="true">
                      <div class="modal-dialog" role="document">
                        <div class="modal-content">
                          <div class="modal-header">
                            <button type="button" class="close pull-right" aria-label="Close" (click)="basicModal.hide()">
                              <span aria-hidden="true">×</span>
                            </button>
                            <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
                          </div>
                          <div class="modal-body">
                            ...
                          </div>
                          <div class="modal-footer">
                            <button type="button" mdbBtn color="secondary" class="waves-light" aria-label="Close" (click)="basicModal.hide()" mdbWavesEffect>Close</button>
                            <button type="button" mdbBtn color="primary" class="relative waves-light" mdbWavesEffect>Save changes</button>
                          </div>
                        </div>
                      </div>
                    </div>
                
        
    

Position & Sizes

Click the buttons below to launch the modals demo

Frame Modal
MDB graphics
Position
Top
Bottom
Central Modal
MDB graphics
Size



Fluid Modal
MDB graphics
Position



Forms, styles & Predefined templates

Click buttons below to see live previews

Modal Forms

Live preview

Modal Styles

Live preview

Modal Templates / Examples

Live preview

Dynamic modal

You can create modals dynamically from any component using a built-in service. To achieve this, follow these steps:

1. Create a new component with Angular CLI and add some HTML code to the template.

ng generate component modal
        
            
            <div class="modal-header">
              <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
                <span aria-hidden="true">×</span>
              </button>
              <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
            </div>
            <div class="modal-body">
              ...
            </div>
            <div class="modal-footer">
              <button type="button" mdbBtn color="secondary" class="waves-light" aria-label="Close" (click)="modalRef.hide()" mdbWavesEffect>Close</button>
              <button type="button" mdbBtn color="primary" class="relative waves-light" mdbWavesEffect>Save!</button>
            </div>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { MDBModalRef } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'app-modal',
              templateUrl: './modal.component.html',
            })
            export class ModalComponent {
              constructor(public modalRef: MDBModalRef) {}
            }
          
        
    

2. Add the modal component to entryComponents in your app.module file

        
            
            import { MDBBootstrapModulesPro } from 'ng-uikit-pro-standard';
            import { MDBSpinningPreloader } from 'ng-uikit-pro-standard';
            import { ModalComponent } from 'your-path-to-modal-component';
            import { NgModule } from '@angular/core';

            ...

            imports: [
              ...
              MDBBootstrapModulesPro.forRoot(),
              ...
            ],
            entryComponents: [ ModalComponent ]
            providers: [
              ...
              MDBSpinningPreloader,
              ...
            ]
          
        
    

3. Inject MDBModalService to the component from which you want to open the modal and use the show method.

        
            
            <button mdbBtn color="primary" (click)="openModal()">Open modal</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { ModalComponent } from 'your-path-to-modal-component';
            import { MDBModalRef, MDBModalService } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'create-dynamic-modal',
              templateUrl: './create-dynamic-modal.component.html',
            })
            export class AppComponent {
              modalRef: MDBModalRef | null = null;

              constructor(private modalService: MDBModalService) {}

              openModal() {
                this.modalRef = this.modalService.show(ModalComponent)
              }
            }
          
        
    

Customize modal

You can customize the dynamica modal by changing its options and passing them to the show method of MDBModalService.

If you want to customize a dynamic modal using the code for static modals, add classes from the element with mdbModal directive to the containerClass parameter and classes from modal-dialog to the class parameter.

The following example show how to create small side modal by adding classes in the options

        
            
            <button mdbBtn color="primary" (click)="openModal()">Open modal</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { ModalComponent } from 'your-path-to-modal-component';
            import { MDBModalRef, MDBModalService } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'create-dynamic-modal',
              templateUrl: './create-dynamic-modal.component.html',
            })
            export class AppComponent {
              modalRef: MDBModalRef | null = null;

              constructor(private modalService: MDBModalService) {}

              openModal() {
                this.modalRef = this.modalService.show(ModalComponent, {
                  backdrop: true,
                  keyboard: true,
                  focus: true,
                  show: false,
                  ignoreBackdropClick: false,
                  class: 'modal-side modal-top-right',
                  containerClass: 'right',
                  animated: true
                });
              }
            }
          
        
    

Inject data to the modal

You can inject data to the dynamic modal by passing it to the data parameter in the modal options.

        
            
            <button mdbBtn color="primary" (click)="openModal()">Open modal</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { ModalComponent } from 'your-path-to-modal-component';
            import { MDBModalRef, MDBModalService } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'create-dynamic-modal',
              templateUrl: './create-dynamic-modal.component.html',
            })
            export class AppComponent {
              modalRef: MDBModalRef | null = null;

              constructor(private modalService: MDBModalService) {}

              modalOptions = {
                backdrop: true,
                keyboard: true,
                focus: true,
                show: false,
                ignoreBackdropClick: false,
                class: '',
                containerClass: '',
                animated: true,
                data: {
                  heading: 'Modal heading',
                  content: { heading: 'Content heading', description: 'Content description'}
                }
              }

              openModal() {
                this.modalRef = this.modalService.show(ModalComponent, this.modalOptions);
              }
            }
          
        
    

Here is an example showing how to use injected data in the modal component:

        
            
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
                  <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title w-100" id="myModalLabel">{{ heading }}</h4>
              </div>
              <div class="modal-body">
                <h5>{{ content.heading }}</h5>
                <p>{{ content.description }}</p>
              </div>
              <div class="modal-footer">
                <button type="button" mdbBtn color="secondary" class="waves-light" aria-label="Close" (click)="modalRef.hide()" mdbWavesEffect>Close</button>
                <button type="button" mdbBtn color="primary" class="relative waves-light" mdbWavesEffect>Save!</button>
              </div>
            </div>
          
        
    
        
            
          import { Component } from '@angular/core';
          import { MDBModalRef } from 'ng-uikit-pro-standard';

          @Component({
            selector: 'app-modal',
            templateUrl: './modal.component.html',
          })
          export class ModalComponent {
            heading: string | null = null;
            content: any = null;

            constructor(public modalRef: MDBModalRef) {}
          }
          
        
    

Receive data from the modal

You can receive data from the modal to use it in other components:

        
            
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
                  <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title w-100" id="myModalLabel">Are you sure?</h4>
              </div>
              <div class="modal-body">
                ...
              </div>
              <div class="modal-footer">
                <button type="button" mdbBtn color="secondary" class="waves-light" aria-label="Close" (click)="onNoClick()" mdbWavesEffect>Close</button>
                <button type="button" mdbBtn color="primary" class="relative waves-light" (click)="onYesClick()" mdbWavesEffect>Save!</button>
              </div>
            </div>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { MDBModalRef } from 'ng-uikit-pro-standard';
            import { Subject } from 'rxjs';

            @Component({
              selector: 'app-modal',
              templateUrl: './modal.component.html',
            })
            export class ModalComponent {
              action = new Subject<any>();

              constructor(public modalRef: MDBModalRef) {}

              onYesClick() {
                this.action.next('yes');
              }

              onNoClick() {
                this.action.next('No');
              }
            }
          
        
    

Here is an example showing how to use data received from modal in other components

        
            
            <button mdbBtn color="primary" (click)="openModal()">Open modal</button>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { ModalComponent } from 'your-path-to-modal-component';
            import { MDBModalRef, MDBModalService } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'create-dynamic-modal',
              templateUrl: './create-dynamic-modal.component.html',
            })
            export class AppComponent {
              modalRef: MDBModalRef | null = null;

              constructor(private modalService: MDBModalService) {}

              openModal() {
                this.modalRef = this.modalService.show(ModalComponent, {
                  backdrop: true,
                  keyboard: true,
                  focus: true,
                  show: false,
                  ignoreBackdropClick: false,
                  class: '',
                  containerClass: ''.
                  animated: true
                });

                this.modalRef.content.action.subscribe((result: any) => { console.log(result); });
              }
            }
          
        
    

Listen to events

You can listen to events of a dynamic modal:

        
            
            <div class="modal-content">
              <div class="modal-header">
                  <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
                  <span aria-hidden="true">×</span>
                  </button>
                  <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
              </div>
              <div class="modal-body">
                  ...
              </div>
              <div class="modal-footer">
                  <button type="button" mdbBtn color="secondary" class="waves-light" aria-label="Close" (click)="modalRef.hide()" mdbWavesEffect>Close</button>
                  <button type="button" mdbBtn color="primary" class="relative waves-light" mdbWavesEffect>Save!</button>
              </div>
          </div>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { MDBModalRef } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'app-modal',
              templateUrl: './modal.component.html',
            })
            export class ModalComponent {
              constructor(public modalRef: MDBModalRef) {}
            }
          
        
    

Here is an example showing how to listen to events available in modalService:

        
            
            <button mdbBtn color="primary" (click)="openModal()">Open modal</button>
          
        
    
        
            
            import { Component, OnInit } from '@angular/core';
            import { ModalComponent } from 'your-path-to-modal-component';
            import { MDBModalRef, MDBModalService } from 'ng-uikit-pro-standard';

            @Component({
              selector: 'create-dynamic-modal',
              templateUrl: './create-dynamic-modal.component.html',
            })
            export class AppComponent implements OnInit {
              modalRef: MDBModalRef | null = null;

              constructor(private modalService: MDBModalService) {}

              openModal() {
                this.modalRef = this.modalService.show(ModalComponent, {
                  backdrop: true,
                  keyboard: true,
                  focus: true,
                  show: false,
                  ignoreBackdropClick: false,
                  class: '',
                  containerClass: ''.
                  animated: true
                });
              }

              ngOnInit() {
                this.modalService.open.subscribe(() => console.log('open'));
                this.modalService.opened.subscribe(() => console.log('opened'));
                this.modalService.close.subscribe(() => console.log('close'));
                this.modalService.closed.subscribe(() => console.log('closed'));
              }
            }
          
        
    

Position and size

To change the position or size of the modal add one of the following classes to the .modal-dialog div.

Central modal

Note: Medium size is a default value, so there isn't a dedicated class for it.

.modal-sm Small Modal

.modal-lg Large Modal

.modal-fluid Full Width Modal

        
            
                    <button type="button" mdbBtn color="primary" class="relative waves-light" (click)="basicModal.show()" mdbWavesEffect>Launch demo modal</button>
                    <div mdbModal #basicModal="mdbModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myBasicModalLabel" aria-hidden="true">
                      <div class="modal-dialog modal-sm" role="document">
                        <div class="modal-content">
                          <div class="modal-header">
                            <button type="button" class="close pull-right" aria-label="Close" (click)="basicModal.hide()">
                              <span aria-hidden="true">×</span>
                            </button>
                            <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
                          </div>
                          <div class="modal-body">
                            ...
                          </div>
                          <div class="modal-footer">
                            <button type="button" mdbBtn color="secondary" class="waves-light" aria-label="Close" (click)="basicModal.hide()" mdbWavesEffect>Close</button>
                            <button type="button" mdbBtn color="primary" class="relative waves-light" mdbWavesEffect>Save!</button>
                          </div>
                        </div>
                      </div>
                    </div>
                
        
    

Side modal

Note: To make it works properly, apart from adding a class for a position, you also need to add special class .side-modal to .modal-dialog div.

Note 2: If you want to change a direction of modal animation, add class .top, .right, bottom or .left to the .modal div.

.modal-side + .modal-top-right Top Right

.modal-side + .modal-top-left Top Left

.modal-side + .modal-bottom-right Bottom Right

.modal-side + .modal-bottom-right Bottom Left

        
            
                <button type="button" mdbBtn color="primary" class="relative waves-light" (click)="basicModal.show()" mdbWavesEffect>Launch demo modal</button>

                <div mdbModal #basicModal="mdbModal" class="modal fade right" tabindex="-1" role="dialog" aria-labelledby="myBasicModalLabel"
                  aria-hidden="true">
                  <div class="modal-dialog modal-side modal-top-right " role="document">
                    <div class="modal-content">
                      <div class="modal-header">
                        <button type="button" class="close pull-right" aria-label="Close" (click)="basicModal.hide()">
                          <span aria-hidden="true">×</span>
                        </button>
                        <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
                      </div>
                      <div class="modal-body">
                        ...
                      </div>
                      <div class="modal-footer">
                        <button type="button" mdbBtn color="secondary" class="waves-light" aria-label="Close" (click)="basicModal.hide()" mdbWavesEffect>Close</button>
                        <button type="button" mdbBtn color="primary" class="relative waves-light" mdbWavesEffect>Save!</button>
                      </div>
                    </div>
                  </div>
                </div>
              
        
    

Fluid modal

Note: As in the previous example - to make it works properly, apart from adding a class for a position, you also need to add the special class .modal-full-height to .modal-dialog div.

Note 2: If you want to change the direction of modal animation, add the class .top, .right, bottom or .left to the .modal div.

.modal-full-height + .modal-right Right

.modal-full-height + .modal-left Left

.modal-full-height + .modal-bottom Bottom

.modal-full-height + .modal-top Top

        
            
                <button type="button" mdbBtn color="primary" class="relative waves-light" (click)="basicModal.show()" mdbWavesEffect>Launch demo modal</button>

                <div mdbModal #basicModal="mdbModal" class="modal fade right" tabindex="-1" role="dialog" aria-labelledby="myBasicModalLabel"
                  aria-hidden="true">
                  <div class="modal-dialog modal-full-height modal-right" role="document">
                    <div class="modal-content">
                      <div class="modal-header">
                        <button type="button" class="close pull-right" aria-label="Close" (click)="basicModal.hide()">
                          <span aria-hidden="true">×</span>
                        </button>
                        <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
                      </div>
                      <div class="modal-body">
                        ...
                      </div>
                      <div class="modal-footer">
                        <button type="button" mdbBtn color="secondary" class="waves-light" aria-label="Close" (click)="basicModal.hide()" mdbWavesEffect>Close</button>
                        <button type="button" mdbBtn color="primary" class="relative waves-light" mdbWavesEffect>Save!</button>
                      </div>
                    </div>
                  </div>
                </div>
              
        
    

Frame modal

Note: As in the previous examples - to make sure it works properly, apart from adding a class for a position, you also need to add that special class .modal-frame to .modal-dialog div.

Note 2: If you want to change the direction of modal animation, add the class .top, .right, bottom or .left to the .modal div.

.modal-frame + .modal-bottom Bottom

.modal-frame + .modal-top Top

        
            
                <button type="button" mdbBtn color="primary" class="relative waves-light" (click)="basicModal.show()" mdbWavesEffect>Launch demo modal</button>

                <div mdbModal #basicModal="mdbModal" class="modal fade bottom" tabindex="-1" role="dialog" aria-labelledby="myBasicModalLabel"
                  aria-hidden="true">
                  <div class="modal-dialog modal-frame modal-bottom" role="document">
                    <div class="modal-content">
                      <div class="modal-header">
                        <button type="button" class="close pull-right" aria-label="Close" (click)="basicModal.hide()">
                          <span aria-hidden="true">×</span>
                        </button>
                        <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
                      </div>
                      <div class="modal-body">
                        ...
                      </div>
                      <div class="modal-footer">
                        <button type="button" mdbBtn color="secondary" class="waves-light" aria-label="Close" (click)="basicModal.hide()" mdbWavesEffect>Close</button>
                        <button type="button" mdbBtn color="primary" class="relative waves-light" mdbWavesEffect>Save!</button>
                      </div>
                    </div>
                  </div>
                </div>
              
        
    

Scrolling long content

When a modal becomes too long for the user’s viewport or device, it should scroll off the page itself. To do this, add an overflow-y: scroll style to div with the mdbModal directive.

        
            
          <button type="button" mdbBtn color="primary" class="relative waves-light" (click)="basicModal.show()" mdbWavesEffect>Launch demo modal</butto
          <div style="overflow-y: auto" mdbModal #basicModal="mdbModal" class="modal fade bottom" tabindex="-1" role="dialog" aria-labelledby="myBasicModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close pull-right" aria-label="Close" (click)="basicModal.hide()">
                    <span aria-hidden="true">×</span>
                  </button>
                  <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
                </div>
                <div class="modal-body">
                  <p>Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>
                  <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.</p>
                  <p>Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.</p>
                  <p>Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>
                  <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.</p>
                  <p>Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.</p>
                  <p>Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>
                  <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.</p>
                  <p>Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.</p>
                  <p>Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>
                  <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.</p>
                  <p>Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.</p>
                </div>
                <div class="modal-footer">
                  <button type="button" mdbBtn color="secondary" class="waves-light" aria-label="Close" (click)="basicModal.hide()" mdbWavesEffect>Close</button>
                  <button type="button" mdbBtn color="primary" class="relative waves-light" mdbWavesEffect>Save changes</button>
                </div>
              </div>
            </div>
          </div>
        
        
    

You can also create a scrollable modal that allows scrolling the modal body by adding .modal-dialog-scrollable to .modal-dialog.

        
            
        <button type="button" mdbBtn color="secondary" class="relative waves-light" (click)="basicModal.show()" mdbWavesEffect>Launch demo modal</button>

        <div mdbModal #basicModal="mdbModal" class="modal fade bottom" tabindex="-1" role="dialog" aria-labelledby="myBasicModalLabel"
          aria-hidden="true">
          <div class="modal-dialog modal-dialog-scrollable" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close pull-right" aria-label="Close" (click)="basicModal.hide()">
                  <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
              </div>
              <div class="modal-body">
                <p>Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>
                <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.</p>
                <p>Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.</p>
                <p>Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>
                <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.</p>
                <p>Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.</p>
                <p>Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>
                <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.</p>
                <p>Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.</p>
                <p>Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.</p>
                <p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.</p>
                <p>Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.</p>
              </div>
              <div class="modal-footer">
                <button type="button" mdbBtn color="secondary" class="waves-light" aria-label="Close" (click)="basicModal.hide()" mdbWavesEffect>Close</button>
                <button type="button" mdbBtn color="primary" class="relative waves-light" mdbWavesEffect>Save changes</button>
              </div>
            </div>
          </div>
        </div>
        
        
    

Vertically centered

Add .modal-dialog-centered to .modal-dialog to vertically center the modal.

        
            
          <button type="button" mdbBtn color="primary" class="relative waves-light" (click)="basicModal.show()" mdbWavesEffect>Launch demo modal</button>

          <div mdbModal #basicModal="mdbModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myBasicModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close pull-right" aria-label="Close" (click)="basicModal.hide()">
                    <span aria-hidden="true">×</span>
                  </button>
                  <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
                </div>
                <div class="modal-body">
                  ...
                </div>
                <div class="modal-footer">
                  <button type="button" mdbBtn color="secondary" class="waves-light" aria-label="Close" (click)="basicModal.hide()" mdbWavesEffect>Close</button>
                  <button type="button" mdbBtn color="primary" class="relative waves-light" mdbWavesEffect>Save!</button>
                </div>
              </div>
            </div>
          </div>
        
        
    

Tooltips and popovers

Tooltips and popovers can be placed within modals as needed.

        
            
          <button type="button" mdbBtn color="primary" class="relative waves-light" (click)="basicModal.show()" mdbWavesEffect>Launch demo modal</button>

          <div mdbModal #basicModal="mdbModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myBasicModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close pull-right" aria-label="Close" (click)="basicModal.hide()">
                    <span aria-hidden="true">×</span>
                  </button>
                  <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
                </div>
                <div class="modal-body">
                  <h5>Popover in a modal</h5>
                  <p>This
                    <a type="button" mdbBtn color="default" class="waves-light" mdbPopover="And here some amazing content. It's very engaging. Right?"
                      placement="top" mdbPopoverHeader="Popover on top" mdbWavesEffect>
                      Popover on top
                    </a> triggers a popover on click.</p>
                  <hr>
                  <h5>Tooltips in a modal</h5>
                  <p>
                    <a mdbTooltip="Tooltip on top" placement="top">
                      This link have a tooltip on it
                    </a>
                </div>
                <div class="modal-footer">
                  <button type="button" mdbBtn color="secondary" class="waves-light" aria-label="Close" (click)="basicModal.hide()" mdbWavesEffect>Close</button>
                  <button type="button" mdbBtn color="primary" class="relative waves-light" mdbWavesEffect>Save!</button>
                </div>
              </div>
            </div>
          </div>
        
        
    

Using the grid

Utilize the Bootstrap grid system within a modal by nesting .container-fluid within the .modal-body. Then, use the normal grid system classes as you would anywhere else.

        
            
          <button type="button" mdbBtn color="primary" class="relative waves-light" (click)="basicModal.show()" mdbWavesEffect>Launch demo modal</button>

          <div mdbModal #basicModal="mdbModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myBasicModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close pull-right" aria-label="Close" (click)="basicModal.hide()">
                    <span aria-hidden="true">×</span>
                  </button>
                  <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
                </div>
                <div class="modal-body">
                  <div class="container-fluid">
                    <div class="row">
                      <div class="col-md-4 col-example">.col-md-4</div>
                      <div class="col-md-4 ml-auto col-example">.col-md-4 .ml-auto</div>
                    </div>
                    <br>
                    <div class="row">
                      <div class="col-md-3 ml-auto col-example">.col-md-3 .ml-auto</div>
                      <div class="col-md-2 ml-auto col-example">.col-md-2 .ml-auto</div>
                    </div>
                    <div class="row">
                      <div class="col-md-6 ml-5 col-example">.col-md-6 .ml-5</div>
                    </div>
                    <br>
                    <div class="row">
                      <div class="col-sm-9 col-example">
                        Level 1: .col-sm-9
                        <div class="row">
                          <div class="col-8 col-sm-6 col-example">
                            Level 2: .col-8 .col-sm-6
                          </div>
                          <div class="col-4 col-sm-6 col-example">
                            Level 2: .col-4 .col-sm-6
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="modal-footer">
                  <button type="button" mdbBtn color="secondary" class="waves-light" aria-label="Close" (click)="basicModal.hide()" mdbWavesEffect>Close</button>
                  <button type="button" mdbBtn color="primary" class="relative waves-light" mdbWavesEffect>Save!</button>
                </div>
              </div>
            </div>
          </div>
        
        
    

Varying modal content

Have a bunch of buttons that all trigger the same modal with slightly different contents?

        
            
          <div class="bd-example">
            <button type="button" mdbBtn color="primary" class="waves-light" (click)="show( '@mdo' )" mdbWavesEffect>Open modal for @mdo</button>
            <button type="button" mdbBtn color="primary" class="waves-light" (click)="show( '@fat' )" mdbWavesEffect>Open modal for @fat</button>
            <button type="button" mdbBtn color="primary" class="waves-light" (click)="show( '@getbootstrap' )" mdbWavesEffect>Open modal for @getbootstrap</button>

            <div mdbModal #content="mdbModal" class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title" id="exampleModalLabel">New message to {{ name }}</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="content.hide()">
                                <span aria-hidden="true">×</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <form>
                                <div class="md-form">
                                    <input type="text" class="form-control" id="recipient-name" [value]="name">
                                </div>
                                <div class="md-form">
                                    <textarea type="text" id="message-text" class="md-textarea"></textarea>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button type="button" mdbBtn color="secondary" class="waves-light" (click)="content.hide()" mdbWavesEffect>Close</button>
                            <button type="button" mdbBtn color="primary" class="waves-light" mdbWavesEffect>Send message</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        
    
        
            
          import { Component, ViewChild } from '@angular/core';
          import { ModalDirective } from 'your-path-to-modal-directive';

          @Component({
            selector: 'modal-content-example',
            templateUrl: 'modal-content.html',
          })
          export class ModalContentComponent {
            @ViewChild('content', { static: true }) contentModal!: ModalDirective;

            name = '';

            show(value:string){
              this.name = value;
              this.contentModal.show();
            }
          }
        
        
    

Remove animation

For modals that simply appear rather than fade into view, remove the .fade class from your modal markup.

        
            
          <div mdbModal #basicModal="mdbModal" class="modal" tabindex="-1" role="dialog" aria-labelledby="myBasicModalLabel" aria-hidden="true">
        
        
    

Accessibility

Be sure to add role="dialog" and aria-labelledby="...", referencing the modal title, to .modal, and role="document" to the .modal-dialog itself. Additionally, you may give a description of your modal dialog with aria-describedby on .modal.


Embedding YouTube & Vimeo videos

Have a look at these examples to see how it works:


Remove backdrop

To remove backdrop add the [config]="{backdrop: false, ignoreBackdropClick: true}" attribute to the modal markup

        
            
          <div
            mdbModal
            #basicModal="mdbModal"
            class="modal fade" tabindex="-1"
            role="dialog" aria-labelledby="myBasicModalLabel"
            aria-hidden="true"
            [config]="{backdrop: false, ignoreBackdropClick: true}"
          >
            ...
          </div>
        
        
    

Using show and hide functions in typescript file

Use the Angular @ViewChild decorator to get access to modal functions in your typescript file. In following example you can click on a button to open a modal and it will then hide automatically after 3 seconds.

        
            
          <button mdbBtn color="primary" class="waves-light" (click)="showAndHideModal()">Open modal</button>

          <div mdbModal #demoBasic="mdbModal" class="modal fade" id="basicExample" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
              <div class="modal-dialog modal-sm" role="document">
                  <div class="modal-content">
                      <div class="modal-header">
                          <h4 class="modal-title w-100" id="myModalLabel">Modal title</h4>
                          <button type="button" class="close" data-dismiss="modal" aria-label="Close" (click)="demoBasic.hide()">
                              <span aria-hidden="true">×</span>
                          </button>
                      </div>
                      <div class="modal-body">
                          ...
                      </div>
                      <div class="modal-footer">
                          <button type="button" mdbBtn color="secondary" size="sm" class="bwaves-light" data-dismiss="modal" (click)="demoBasic.hide()" mdbWavesEffect>Close</button>
                          <button type="button" mdbBtn color="primary" size="sm" class="waves-light" mdbWavesEffect>Save changes</button>
                      </div>
                  </div>
              </div>
          </div>
        
        
    
        
            
          import { Component, ViewChild } from '@angular/core';
          import { ModalDirective } from 'your-path-to-modal-directive';

          @Component({
            selector: 'show-and-hide-modal-example',
            templateUrl: './show-and-hide-modal.component.html',
          })
          export class ShowAndHideModalComponent {
            @ViewChild('demoBasic', { static: true }) demoBasic!: ModalDirective;

            showAndHideModal() {
              this.demoBasic.show();

              setTimeout(() => {
                this.demoBasic.hide();
              }, 3000);
            }
          }
        
        
    

Angular Modals - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of modals component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { ModalModule, WavesModule, InputsModule, ButtonsModule } from 'ng-uikit-pro-standard';
        
        
    
        
            
          import { ModalModule, WavesModule, InputsModule, ButtonsModule } from 'angular-bootstrap-md';
      
        
    

Directive

mdbModal

Selector: mdbModal

Type: ModalDirective


Inputs

Inputs

Name Type Default Description Example
[config] ModalOptions { } allows to set modal configuration via element property [config]="{backdrop: false}"

ModalOptions

Name Type Default Description Example
[config] ModalOptions { } allows to set modal configuration via element property [config]="{backdrop: false}"
backdrop boolean | "static" true Includes a modal-backdrop element. Alternatively, specify static for a backdrop which doesn't close the modal on click. [config]="{backdrop: false}"
ignoreBackdropClick boolean false Ignore the backdrop click. [config]="{ignoreBackdropClick: true}"
keyboard boolean true Closes the modal when the escape key is pressed. [config]="{keyboard: false}"
show boolean false Shows the modal when initialized. [config]="{show: true}"
class string ' ' Css class for opened modal. [config]="{class: 'custom-class'}"

Dynamic Modal Options

Name Type Default Description Example
animated boolean true Toggle modal animation animated: false
backdrop boolean true Includes a modal-backdrop element. Alternatively, specify static for a backdrop which doesn't close the modal on click. backdrop: false
ignoreBackdropClick boolean false Ignore the backdrop click. ignoreBackdropClick: true"
keyboard boolean true Closes the modal when the escape key is pressed. keyboard: false
scroll boolean false Adds overflow styles to the modal container to display scroll. scroll: true
show boolean false Shows the modal when initialized. show: true
class string '' Css class for opened modal. class: 'modal-side modal-top-right'
containerClass string '' Class for modal container. containerClass: 'right'
data any - Modal data data: { heading: 'Modal heading' }

The following example show how to use dynamic modal options:

        
            
              openModal() {
                this.modalRef = this.modalService.show(ModalComponent, {
                  backdrop: true,
                  keyboard: true,
                  show: false,
                  ignoreBackdropClick: false,
                  class: 'modal-side modal-top-right',
                  containerClass: 'right',
                  animated: true,
                  data: {
                      heading: 'Modal heading',
                      content: { heading: 'Content heading', description: 'Content description'}
                  }
                });
              }
            
        
    

Outputs

Name Type Description Example
closed EventEmitter<ModalDirective> Event is fired when the modal has finished being hidden from the user. (closed)="onClosed($event)"
close EventEmitter<ModalDirective> Event is fired instantly when the hide instance method has been called. (close)="onClose($event)"
open EventEmitter<ModalDirective> Event fires instantly when the show instance method is called. (open)="onOpen($event)"
opened EventEmitter<ModalDirective> Event is fired when the modal has been made visible to the user. (opened)="onOpened($event)"

Methods

In below table you can find every method which is available in ModalDirective.

Name Description
(event)="name.show()" Allows to manually open modal.
(event)="name.hide()" Allows to manually close modal.
(event)="name.toggle(value: boolean)()" Allows to manually toggle modal visibility.
(event)="name.focusOtherModal()" Events tricks.